function read_packet_instr_hk7_data_1_69(fid)

% Copyright (c) 2007-2014 University of Wisconsin Regents.
%
% This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

% GENERATED CODE -- DO NOT EDIT

set_globals

g_metadata.packet_stats.num_packets.instr_hk7 = g_metadata.packet_stats.num_packets.instr_hk7 + 1;
packet_idx = g_metadata.packet_stats.num_packets.instr_hk7;
g_metadata.packets.instr_hk7.dim.hk7_packet = packet_idx;
g_metadata.packets.instr_hk7.header_time.dim = {'hk7_packet'};
g_packets.instr_hk7.header_time(packet_idx)=g_header.time;
g_metadata.packets.instr_hk7.start_byte.dim = {'hk7_packet'};
g_packets.instr_hk7.start_byte(packet_idx)=g_header.start_byte;
first_file_position=ftell(fid);

% first time through: set packet attributes
if packet_idx == 1

    g_metadata.packets.instr_hk7.att.xml_database_version_applied = '1.69';
    g_metadata.packets.instr_hk7.att.xml_file_name = 'TLM_TelemetryRDR_7.xml';
    g_metadata.packets.instr_hk7.att.xml_file_md5sum = 'a70fe584697b22a1df345f9aa34defed';
    g_metadata.packets.instr_hk7.att.description = 'Telemetry RDR (Packet# 7)';
    g_metadata.packets.instr_hk7.att.scene = 'NONE';
    g_metadata.packets.instr_hk7.att.apid = '506';
    g_metadata.packets.instr_hk7.att.band = 'none';
    g_metadata.packets.instr_hk7.att.version = '3';
    g_metadata.packets.instr_hk7.att.detector = '0';

    % id 2359: TLM7_SubFrameCounter
    g_metadata.packets.instr_hk7.SubFrameCounter.att.telemetry_point_id = '2359';
    g_metadata.packets.instr_hk7.SubFrameCounter.att.mnemonic = 'TLM7_SubFrameCounter';
    g_metadata.packets.instr_hk7.SubFrameCounter.att.start_bit = '0';
    g_metadata.packets.instr_hk7.SubFrameCounter.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SubFrameCounter.att.num_bits = '16';
    g_metadata.packets.instr_hk7.SubFrameCounter.att.description = 'Sub Frame Counter';
    g_metadata.packets.instr_hk7.SubFrameCounter.dim = {'hk7_packet'};

    % id 2360: TLM7_PCEAppFswVer
    g_metadata.packets.instr_hk7.PCEAppFswVer.att.telemetry_point_id = '2360';
    g_metadata.packets.instr_hk7.PCEAppFswVer.att.mnemonic = 'TLM7_PCEAppFswVer';
    g_metadata.packets.instr_hk7.PCEAppFswVer.att.start_bit = '16';
    g_metadata.packets.instr_hk7.PCEAppFswVer.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.PCEAppFswVer.att.num_bits = '11';
    g_metadata.packets.instr_hk7.PCEAppFswVer.att.description = 'PCE Application Version';
    g_metadata.packets.instr_hk7.PCEAppFswVer.dim = {'hk7_packet'};

    % id 2361: TLM7_InstrumentID
    g_metadata.packets.instr_hk7.InstrumentID.att.telemetry_point_id = '2361';
    g_metadata.packets.instr_hk7.InstrumentID.att.mnemonic = 'TLM7_InstrumentID';
    g_metadata.packets.instr_hk7.InstrumentID.att.start_bit = '27';
    g_metadata.packets.instr_hk7.InstrumentID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.InstrumentID.att.num_bits = '5';
    g_metadata.packets.instr_hk7.InstrumentID.att.description = 'Instrument ID';
    g_metadata.packets.instr_hk7.InstrumentID.dim = {'hk7_packet'};

    % id 2362: TLM7_MMInterStat (Spare)
    g_metadata.packets.instr_hk7.MMInterStat_Spare.att.telemetry_point_id = '2362';
    g_metadata.packets.instr_hk7.MMInterStat_Spare.att.mnemonic = 'TLM7_MMInterStat (Spare)';
    g_metadata.packets.instr_hk7.MMInterStat_Spare.att.start_bit = '32';
    g_metadata.packets.instr_hk7.MMInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_Spare.att.num_bits = '2';
    g_metadata.packets.instr_hk7.MMInterStat_Spare.att.description = 'Manage Memory I/F Status(Spare)';
    g_metadata.packets.instr_hk7.MMInterStat_Spare.dim = {'hk7_packet'};

    % id 2363: TLM7_MMInterStat (Mem Partinal Create Err)
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.att.telemetry_point_id = '2363';
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.att.mnemonic = 'TLM7_MMInterStat (Mem Partinal Create Err)';
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.att.start_bit = '34';
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.att.description = 'Manage Memory I/F Status(Memory Partition Create Error)';
    g_metadata.packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err.dim = {'hk7_packet'};

    % id 2364: TLM7_MMInterStat (MQ Create Error)
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.att.telemetry_point_id = '2364';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.att.mnemonic = 'TLM7_MMInterStat (MQ Create Error)';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.att.start_bit = '35';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.att.description = 'Manage Memory I/F Status(Message Queue Create Error)';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Create_Error.dim = {'hk7_packet'};

    % id 2365: TLM7_MMInterStat (Default Case Reached)
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.att.telemetry_point_id = '2365';
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.att.mnemonic = 'TLM7_MMInterStat (Default Case Reached)';
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.att.start_bit = '36';
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.att.description = 'Manage Memory I/F Status(Default Case Reached)';
    g_metadata.packets.instr_hk7.MMInterStat_Default_Case_Reached.dim = {'hk7_packet'};

    % id 2366: TLM7_MMInterStat (MM Free Err)
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.att.telemetry_point_id = '2366';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.att.mnemonic = 'TLM7_MMInterStat (MM Free Err)';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.att.start_bit = '37';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.att.description = 'Manage Memory I/F Status(Memory Manager Free Error)';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Free_Err.dim = {'hk7_packet'};

    % id 2367: TLM7_MMInterStat (MM Alloc Err)
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.att.telemetry_point_id = '2367';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.att.mnemonic = 'TLM7_MMInterStat (MM Alloc Err)';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.att.start_bit = '38';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.att.description = 'Manage Memory I/F Status(Memory Manager Allocation Error)';
    g_metadata.packets.instr_hk7.MMInterStat_MM_Alloc_Err.dim = {'hk7_packet'};

    % id 2368: TLM7_MMInterStat (MQ Rcv Err)
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.att.telemetry_point_id = '2368';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.att.mnemonic = 'TLM7_MMInterStat (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.att.start_bit = '39';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.att.description = 'Manage Memory I/F Status(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2369: TLM7_MMInterStat (MQ Send Err)
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.att.telemetry_point_id = '2369';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.att.mnemonic = 'TLM7_MMInterStat (MQ Send Err)';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.att.start_bit = '40';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.att.description = 'Manage Memory I/F Status(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.MMInterStat_MQ_Send_Err.dim = {'hk7_packet'};

    % id 2370: TLM7_MMInterStat (Two Sec Buff Cap Used)
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.att.telemetry_point_id = '2370';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.att.mnemonic = 'TLM7_MMInterStat (Two Sec Buff Cap Used)';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.att.start_bit = '41';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.att.num_bits = '4';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.att.description = 'Manage Memory I/F Status(Two Second Buffer Capacity Used)';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used.dim = {'hk7_packet'};

    % id 2371: TLM7_MMInterStat (Two Sec Buff VF)
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.att.telemetry_point_id = '2371';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.att.mnemonic = 'TLM7_MMInterStat (Two Sec Buff VF)';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.att.start_bit = '45';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.att.description = 'Manage Memory I/F Status(Two Second Buffer Overflow)';
    g_metadata.packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF.dim = {'hk7_packet'};

    % id 2372: TLM7_MMInterStat (CmdQueue Empty)
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.att.telemetry_point_id = '2372';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.att.mnemonic = 'TLM7_MMInterStat (CmdQueue Empty)';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.att.start_bit = '46';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.att.description = 'Manage Memory I/F Status(Cmd Queue Empty)';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_Empty.dim = {'hk7_packet'};

    % id 2373: TLM7_MMInterStat (CmdQueue VF)
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.att.telemetry_point_id = '2373';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.att.mnemonic = 'TLM7_MMInterStat (CmdQueue VF)';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.att.start_bit = '47';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.att.num_bits = '1';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.att.description = 'Manage Memory I/F Status(Cmd Queue Overflow)';
    g_metadata.packets.instr_hk7.MMInterStat_CmdQueue_VF.dim = {'hk7_packet'};

    % id 2374: TLM7_SCInterStat (Spare)
    g_metadata.packets.instr_hk7.SCInterStat_Spare.att.telemetry_point_id = '2374';
    g_metadata.packets.instr_hk7.SCInterStat_Spare.att.mnemonic = 'TLM7_SCInterStat (Spare)';
    g_metadata.packets.instr_hk7.SCInterStat_Spare.att.start_bit = '48';
    g_metadata.packets.instr_hk7.SCInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SCInterStat_Spare.att.num_bits = '4';
    g_metadata.packets.instr_hk7.SCInterStat_Spare.att.description = 'S/C I/F Status(Spare)';
    g_metadata.packets.instr_hk7.SCInterStat_Spare.dim = {'hk7_packet'};

    % id 2375: TLM7_SCInterStat (VxWorks watchdog timer failure)
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.att.telemetry_point_id = '2375';
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.att.mnemonic = 'TLM7_SCInterStat (VxWorks watchdog timer failure)';
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.att.start_bit = '52';
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.att.description = 'S/C I/F Status(VxWorks watchdog timer failure)';
    g_metadata.packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure.dim = {'hk7_packet'};

    % id 2376: TLM7_SCInterStat (Firewire bus re-initialization)
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.att.telemetry_point_id = '2376';
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.att.mnemonic = 'TLM7_SCInterStat (Firewire bus re-initialization)';
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.att.start_bit = '53';
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.att.description = 'S/C I/F Status(Firewire bus re-initialization)';
    g_metadata.packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization.dim = {'hk7_packet'};

    % id 2377: TLM7_SCInterStat (CmdPktCRCFailure)
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.att.telemetry_point_id = '2377';
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.att.mnemonic = 'TLM7_SCInterStat (CmdPktCRCFailure)';
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.att.start_bit = '54';
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.att.description = 'S/C I/F Status(Cmd Packet CRC Failure)';
    g_metadata.packets.instr_hk7.SCInterStat_CmdPktCRCFailure.dim = {'hk7_packet'};

    % id 2378: TLM7_SCInterStat (S/C to CrIS Invalid/Unrecog Cmd)
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.telemetry_point_id = '2378';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.mnemonic = 'TLM7_SCInterStat (S/C to CrIS Invalid/Unrecog Cmd)';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.start_bit = '55';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.att.description = 'S/C I/F Status(S/C to CrIS Invalid/Unrecognized Cmd)';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd.dim = {'hk7_packet'};

    % id 2379: TLM7_SCInterStat (S/C to CrIS Cmd ID Rcv)
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.telemetry_point_id = '2379';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.mnemonic = 'TLM7_SCInterStat (S/C to CrIS Cmd ID Rcv)';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.start_bit = '56';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.num_bits = '8';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.att.description = 'S/C I/F Status(S/C to CrIS Cmd ID that was received)';
    g_metadata.packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv.dim = {'hk7_packet'};

    % id 2380: TLM7_SsmInterStat (Spare)
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.att.telemetry_point_id = '2380';
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.att.mnemonic = 'TLM7_SsmInterStat (Spare)';
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.att.start_bit = '64';
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.att.num_bits = '4';
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.att.description = 'SSM I/F Status(Spare)';
    g_metadata.packets.instr_hk7.SsmInterStat_Spare.dim = {'hk7_packet'};

    % id 2381: TLM7_SsmInterStat(Diag Mode Setting)
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.att.telemetry_point_id = '2381';
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.att.mnemonic = 'TLM7_SsmInterStat(Diag Mode Setting)';
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.att.start_bit = '68';
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.att.description = 'SSM I/F Status(Diag Dwell Mode Setting)';
    g_metadata.packets.instr_hk7.SsmInterStat_Diag_Mode_Setting.dim = {'hk7_packet'};

    % id 2382: TLM7_SsmInterStat (SSM Tele Valid Bit - Tele OK)
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.telemetry_point_id = '2382';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.mnemonic = 'TLM7_SsmInterStat (SSM Tele Valid Bit - Tele OK)';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.start_bit = '69';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.att.description = 'SSM I/F Status(SSM Tlm Valid Bit)';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK.dim = {'hk7_packet'};

    % id 2383: TLM7_SsmInterStat (Failed SSm Cmd Wd at PCE/SSM Inter)
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.telemetry_point_id = '2383';
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.mnemonic = 'TLM7_SsmInterStat (Failed SSm Cmd Wd at PCE/SSM Inter)';
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.start_bit = '70';
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.num_bits = '8';
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.att.description = 'SSM I/F Status(Failed SSM Cmd Word At PCE/SSM I/F)';
    g_metadata.packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter.dim = {'hk7_packet'};

    % id 2384: TLM7_SsmInterStat (SSm Tele Cmd Err - Cmd not Recog by SSM PCE tried three times)
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.telemetry_point_id = '2384';
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.mnemonic = 'TLM7_SsmInterStat (SSm Tele Cmd Err - Cmd not Recog by SSM PCE tried three times)';
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.start_bit = '78';
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.att.description = 'SSM I/F Status(SSM Tlm Cmd Error)';
    g_metadata.packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th.dim = {'hk7_packet'};

    % id 2385: TLM7_SsmInterStat (SSM Tele Inter Resp Err - TO on Inter after PU or Rst)
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.telemetry_point_id = '2385';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.mnemonic = 'TLM7_SsmInterStat (SSM Tele Inter Resp Err - TO on Inter after PU or Rst)';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.start_bit = '79';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.att.description = 'SSM I/F Status(SSM Tlm I/F Response Error)';
    g_metadata.packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs.dim = {'hk7_packet'};

    % id 2386: TLM7_IfmInterStat (Spare)
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.att.telemetry_point_id = '2386';
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.att.mnemonic = 'TLM7_IfmInterStat (Spare)';
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.att.start_bit = '80';
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.att.num_bits = '3';
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.att.description = 'IFM I/F Status(Spare)';
    g_metadata.packets.instr_hk7.IfmInterStat_Spare.dim = {'hk7_packet'};

    % id 2387: TLM7_IfmInterStat (Diag Mode Setting)
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.att.telemetry_point_id = '2387';
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.att.mnemonic = 'TLM7_IfmInterStat (Diag Mode Setting)';
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.att.start_bit = '83';
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.att.description = 'IFM I/F Status(Diag Dwell Mode Setting)';
    g_metadata.packets.instr_hk7.IfmInterStat_Diag_Mode_Setting.dim = {'hk7_packet'};

    % id 2388: TLM7_IfmInterStat (Possible Porchswing Sweep Dir Err)
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.telemetry_point_id = '2388';
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.mnemonic = 'TLM7_IfmInterStat (Possible Porchswing Sweep Dir Err)';
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.start_bit = '84';
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.att.description = 'IFM I/F Status(Possible Porchswing Sweep Direction Error)';
    g_metadata.packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err.dim = {'hk7_packet'};

    % id 2389: TLM7_IfmInterStat (IFM Tele Valid Bit - IFM Tele OK)
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.telemetry_point_id = '2389';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.mnemonic = 'TLM7_IfmInterStat (IFM Tele Valid Bit - IFM Tele OK)';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.start_bit = '85';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.att.description = 'IFM I/F Status(IFM Tlm Valid Bit)';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK.dim = {'hk7_packet'};

    % id 2390: TLM7_IfmInterStat (Failed IFM Wd at PCE/IFM Inter)
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.telemetry_point_id = '2390';
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.mnemonic = 'TLM7_IfmInterStat (Failed IFM Wd at PCE/IFM Inter)';
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.start_bit = '86';
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.num_bits = '8';
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.att.description = 'IFM I/F Status(Failed IFM Cmd Word At PCE/IFM I/F)';
    g_metadata.packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter.dim = {'hk7_packet'};

    % id 2391: TLM7_IfmInterStat (IFM Tele Cmd Err - Cmd not Recog by IFM PCE tried three times)
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.telemetry_point_id = '2391';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.mnemonic = 'TLM7_IfmInterStat (IFM Tele Cmd Err - Cmd not Recog by IFM PCE tried three times)';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.start_bit = '94';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.att.description = 'IFM I/F Status(IFM Tlm Cmd Error)';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th.dim = {'hk7_packet'};

    % id 2392: TLM7_IfmInterStat (IFM Tele Inter Resp Err - TO on Inter After PU or Rst)
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.telemetry_point_id = '2392';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.mnemonic = 'TLM7_IfmInterStat (IFM Tele Inter Resp Err - TO on Inter After PU or Rst)';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.start_bit = '95';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.att.description = 'IFM I/F Status(IFM Tlm I/F Response Error)';
    g_metadata.packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs.dim = {'hk7_packet'};

    % id 2393: TLM7_SenStatReg1 (Quiet Converter SP Power Side Select Pulsed Command)
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.att.telemetry_point_id = '2393';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.att.mnemonic = 'TLM7_SenStatReg1 (Quiet Converter SP Power Side Select Pulsed Command)';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.att.start_bit = '96';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.att.description = 'Sensor Status Reg. 1(Quiet Converter SP Power Side Select Pulsed Command)';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command.dim = {'hk7_packet'};

    % id 2394: TLM7_SenStatReg1 (Cooler Door Cmds Software Acknowledgement)
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.telemetry_point_id = '2394';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.mnemonic = 'TLM7_SenStatReg1 (Cooler Door Cmds Software Acknowledgement)';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.start_bit = '97';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.att.description = 'Sensor Status Reg. 1(Cooler Door Cmds Software Acknowledgement)';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement.dim = {'hk7_packet'};

    % id 2395: TLM7_SenStatReg1 (PCE Side Sel)
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.att.telemetry_point_id = '2395';
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.att.mnemonic = 'TLM7_SenStatReg1 (PCE Side Sel)';
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.att.start_bit = '98';
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.att.description = 'Sensor Status Reg. 1(PCE Side Selected)';
    g_metadata.packets.instr_hk7.SenStatReg1_PCE_Side_Sel.dim = {'hk7_packet'};

    % id 2396: TLM7_SenStatReg1 (SSM Prime PW Relay)
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.att.telemetry_point_id = '2396';
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.att.mnemonic = 'TLM7_SenStatReg1 (SSM Prime PW Relay)';
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.att.start_bit = '99';
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.att.description = 'Sensor Status Reg. 1(SSM Prime Power Relay On/Off)';
    g_metadata.packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay.dim = {'hk7_packet'};

    % id 2397: TLM7_SenStatReg1 (Reserved)
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.att.telemetry_point_id = '2397';
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.att.mnemonic = 'TLM7_SenStatReg1 (Reserved)';
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.att.start_bit = '100';
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.att.num_bits = '3';
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.att.description = 'Sensor Status Reg. 1(Reserved)';
    g_metadata.packets.instr_hk7.SenStatReg1_Reserved.dim = {'hk7_packet'};

    % id 2398: TLM7_SenStatReg1 (Quiet Conv on/off)
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.att.telemetry_point_id = '2398';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.att.mnemonic = 'TLM7_SenStatReg1 (Quiet Conv on/off)';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.att.start_bit = '103';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.att.description = 'Sensor Status Reg. 1(Quiet converter On/Off)';
    g_metadata.packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off.dim = {'hk7_packet'};

    % id 2399: TLM7_SenStatReg1 (Spare)
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.att.telemetry_point_id = '2399';
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.att.mnemonic = 'TLM7_SenStatReg1 (Spare)';
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.att.start_bit = '104';
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.att.num_bits = '2';
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.att.description = 'Sensor Status Reg. 1(Spare)';
    g_metadata.packets.instr_hk7.SenStatReg1_Spare.dim = {'hk7_packet'};

    % id 2400: TLM7_SenStatReg1 (Signal Proc on/off)
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.att.telemetry_point_id = '2400';
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.att.mnemonic = 'TLM7_SenStatReg1 (Signal Proc on/off)';
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.att.start_bit = '106';
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.att.description = 'Sensor Status Reg. 1(Signal Processor On/Off)';
    g_metadata.packets.instr_hk7.SenStatReg1_Signal_Proc_on_off.dim = {'hk7_packet'};

    % id 2401: TLM7_SenStatReg1 (Cooler Door 28V Actuator PW App)
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.telemetry_point_id = '2401';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.mnemonic = 'TLM7_SenStatReg1 (Cooler Door 28V Actuator PW App)';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.start_bit = '107';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.att.description = 'Sensor Status Reg. 1(Cooler Door 28V Actuator Power Application)';
    g_metadata.packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App.dim = {'hk7_packet'};

    % id 2402: TLM7_SenStatReg1 (+150V Conv on/off)
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.att.telemetry_point_id = '2402';
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.att.mnemonic = 'TLM7_SenStatReg1 (+150V Conv on/off)';
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.att.start_bit = '108';
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.att.description = 'Sensor Status Reg. 1(+150V converter On/Off)';
    g_metadata.packets.instr_hk7.SenStatReg1_150V_Conv_on_off.dim = {'hk7_packet'};

    % id 2403: TLM7_SenStatReg1 (Therm/Neon Ctrl - PCE PS Stat)
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.telemetry_point_id = '2403';
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.mnemonic = 'TLM7_SenStatReg1 (Therm/Neon Ctrl - PCE PS Stat)';
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.start_bit = '109';
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.att.description = 'Sensor Status Reg. 1(Thermal/Neon Ctrl - PCE Power Supply Status)';
    g_metadata.packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat.dim = {'hk7_packet'};

    % id 2404: TLM7_SenStatReg1 (HK Mux Enable/Disable
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.att.telemetry_point_id = '2404';
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.att.mnemonic = 'TLM7_SenStatReg1 (HK Mux Enable/Disable';
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.att.start_bit = '110';
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.att.description = 'Sensor Status Reg. 1(HK Mux Enable/Disable)';
    g_metadata.packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable.dim = {'hk7_packet'};

    % id 2405: TLM7_SenStatReg1 (Inferferometer on/off - PCE PS stat)
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.telemetry_point_id = '2405';
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.mnemonic = 'TLM7_SenStatReg1 (Inferferometer on/off - PCE PS stat)';
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.start_bit = '111';
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.att.description = 'Sensor Status Reg. 1(Interferometer On/Off - PCE Power Supply Status)';
    g_metadata.packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat.dim = {'hk7_packet'};

    % id 2406: TLM7_SenStatReg2 (HK 200ms Sync Enabled/Disabled)
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.telemetry_point_id = '2406';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.mnemonic = 'TLM7_SenStatReg2 (HK 200ms Sync Enabled/Disabled)';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.start_bit = '112';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.att.description = 'Sensor Status Reg. 2(HK 200ms Sync Enbl/Dsbl)';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled.dim = {'hk7_packet'};

    % id 2407: TLM7_SenStatReg2 (Reserved1)
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.att.telemetry_point_id = '2407';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.att.mnemonic = 'TLM7_SenStatReg2 (Reserved1)';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.att.start_bit = '113';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.att.description = 'Sensor Status Reg. 2(Reserved)';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved1.dim = {'hk7_packet'};

    % id 2408: TLM7_SenStatReg2 (Sig Proc 200ms Sync Enabled/Disabled)
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.telemetry_point_id = '2408';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.mnemonic = 'TLM7_SenStatReg2 (Sig Proc 200ms Sync Enabled/Disabled)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.start_bit = '114';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.att.description = 'Sensor Status Reg. 2(Signal Processor 200ms Sync Enbl/Dsbl)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled.dim = {'hk7_packet'};

    % id 2409: TLM7_SenStatReg2 (Sig Proc 8 Sec Sync Enabled/Disabled)
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.telemetry_point_id = '2409';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.mnemonic = 'TLM7_SenStatReg2 (Sig Proc 8 Sec Sync Enabled/Disabled)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.start_bit = '115';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.att.description = 'Sensor Status Reg. 2(Signal Processor 8 sec sync Enbl/Dsbl)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled.dim = {'hk7_packet'};

    % id 2410: TLM7_SenStatReg2 (Sig Proc 3 Rst)
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.att.telemetry_point_id = '2410';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.att.mnemonic = 'TLM7_SenStatReg2 (Sig Proc 3 Rst)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.att.start_bit = '116';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.att.description = 'Sensor Status Reg. 2(Signal Processor 3 Reset)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst.dim = {'hk7_packet'};

    % id 2411: TLM7_SenStatReg2 (Sig Proc 2 Rst)
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.att.telemetry_point_id = '2411';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.att.mnemonic = 'TLM7_SenStatReg2 (Sig Proc 2 Rst)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.att.start_bit = '117';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.att.description = 'Sensor Status Reg. 2(Signal Processor 2 Reset)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst.dim = {'hk7_packet'};

    % id 2412: TLM7_SenStatReg2 (Sig Proc 1 Rst)
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.att.telemetry_point_id = '2412';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.att.mnemonic = 'TLM7_SenStatReg2 (Sig Proc 1 Rst)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.att.start_bit = '118';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.att.description = 'Sensor Status Reg. 2(Signal Processor 1 Reset)';
    g_metadata.packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst.dim = {'hk7_packet'};

    % id 2413: TLM7_SenStatReg2 (HK Rst)
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.att.telemetry_point_id = '2413';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.att.mnemonic = 'TLM7_SenStatReg2 (HK Rst)';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.att.start_bit = '119';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.att.description = 'Sensor Status Reg. 2(HK Reset)';
    g_metadata.packets.instr_hk7.SenStatReg2_HK_Rst.dim = {'hk7_packet'};

    % id 2414: TLM7_SenStatReg2 (FW CCA A Rst)
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.att.telemetry_point_id = '2414';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.att.mnemonic = 'TLM7_SenStatReg2 (FW CCA A Rst)';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.att.start_bit = '120';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.att.description = 'Sensor Status Reg. 2(Firewire CCA A Reset)';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst.dim = {'hk7_packet'};

    % id 2415: TLM7_SenStatReg2 (FW CCA B Rst)
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.att.telemetry_point_id = '2415';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.att.mnemonic = 'TLM7_SenStatReg2 (FW CCA B Rst)';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.att.start_bit = '121';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.att.description = 'Sensor Status Reg. 2(Firewire CCA B Reset)';
    g_metadata.packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst.dim = {'hk7_packet'};

    % id 2416: TLM7_SenStatReg2 (Reserved2)
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.att.telemetry_point_id = '2416';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.att.mnemonic = 'TLM7_SenStatReg2 (Reserved2)';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.att.start_bit = '122';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.att.num_bits = '2';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.att.description = 'Sensor Status Reg. 2(Reserved)';
    g_metadata.packets.instr_hk7.SenStatReg2_Reserved2.dim = {'hk7_packet'};

    % id 2417: TLM7_SenStatReg2 (SCC2 DMA Err Intrpt)
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.att.telemetry_point_id = '2417';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.att.mnemonic = 'TLM7_SenStatReg2 (SCC2 DMA Err Intrpt)';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.att.start_bit = '124';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.att.description = 'Sensor Status Reg. 2(Serial Comm Controller 2 DMA Error Interrupt)';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt.dim = {'hk7_packet'};

    % id 2418: TLM7_SenStatReg2 (SCC1 DMA Err Intrpt)
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.att.telemetry_point_id = '2418';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.att.mnemonic = 'TLM7_SenStatReg2 (SCC1 DMA Err Intrpt)';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.att.start_bit = '125';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.att.description = 'Sensor Status Reg. 2(Serial Comm Controller 1 DMA Error Interrupt)';
    g_metadata.packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt.dim = {'hk7_packet'};

    % id 2419: TLM7_SenStatReg2 (Aux FPGA Brdg Spur Intrpt)
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.telemetry_point_id = '2419';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.mnemonic = 'TLM7_SenStatReg2 (Aux FPGA Brdg Spur Intrpt)';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.start_bit = '126';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.att.description = 'Sensor Status Reg. 2(Auxiliary FPGA Bridgee Spurious Interrupt)';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt.dim = {'hk7_packet'};

    % id 2420: TLM7_SenStatReg2 (Aux FPGA Brdg Invalid Intrpt)
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.telemetry_point_id = '2420';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.mnemonic = 'TLM7_SenStatReg2 (Aux FPGA Brdg Invalid Intrpt)';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.start_bit = '127';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.att.description = 'Sensor Status Reg. 2(Auxiliary FPGA Bridge Invalid Interrupt)';
    g_metadata.packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt.dim = {'hk7_packet'};

    % id 2421: TLM7_FswExErrStatReg1 (Safe Mode is EN)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.att.telemetry_point_id = '2421';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.att.mnemonic = 'TLM7_FswExErrStatReg1 (Safe Mode is EN)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.att.start_bit = '128';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.att.description = 'FSW Exc. Error Status Reg. 1(Safe Mode Is Enabled)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN.dim = {'hk7_packet'};

    % id 2422: TLM7_FswExErrStatReg1 (Cmd Rejected)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.att.telemetry_point_id = '2422';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.att.mnemonic = 'TLM7_FswExErrStatReg1 (Cmd Rejected)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.att.start_bit = '129';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.att.description = 'FSW Exc. Error Status Reg. 1(Cmd Rejected)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected.dim = {'hk7_packet'};

    % id 2423: TLM7_FswExErrStatReg1 (Module Not Powered On)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.att.telemetry_point_id = '2423';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.att.mnemonic = 'TLM7_FswExErrStatReg1 (Module Not Powered On)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.att.start_bit = '130';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.att.description = 'FSW Exc. Error Status Reg. 1(Module Not Powered On)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On.dim = {'hk7_packet'};

    % id 2424: TLM7_FswExErrStatReg1 (Cannot Auton Enter Safe Mode)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.telemetry_point_id = '2424';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.mnemonic = 'TLM7_FswExErrStatReg1 (Cannot Auton Enter Safe Mode)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.start_bit = '131';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.att.description = 'FSW Exc. Error Status Reg. 1(Cannot Autonomously Enter Safe Mode)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode.dim = {'hk7_packet'};

    % id 2425: TLM7_FswExErrStatReg1 (Sftw UL EN)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.att.telemetry_point_id = '2425';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.att.mnemonic = 'TLM7_FswExErrStatReg1 (Sftw UL EN)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.att.start_bit = '132';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Is Enabled)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN.dim = {'hk7_packet'};

    % id 2426: TLM7_FswExErrStatReg1 (Sftw UL success)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.att.telemetry_point_id = '2426';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.att.mnemonic = 'TLM7_FswExErrStatReg1 (Sftw UL success)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.att.start_bit = '133';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Successful )';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success.dim = {'hk7_packet'};

    % id 2427: TLM7_FswExErrStatReg1 (Sftw UL CRC Failed)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.telemetry_point_id = '2427';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.mnemonic = 'TLM7_FswExErrStatReg1 (Sftw UL CRC Failed)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.start_bit = '134';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload CRC Failed)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed.dim = {'hk7_packet'};

    % id 2428: TLM7_FswExErrStatReg1 (Sftw UL Aborted)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.att.telemetry_point_id = '2428';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.att.mnemonic = 'TLM7_FswExErrStatReg1 (Sftw UL Aborted)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.att.start_bit = '135';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Aborted)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted.dim = {'hk7_packet'};

    % id 2429: TLM7_FswExErrStatReg1 (Sftw UL Img Not Pres)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.telemetry_point_id = '2429';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.mnemonic = 'TLM7_FswExErrStatReg1 (Sftw UL Img Not Pres)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.start_bit = '136';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.att.description = 'FSW Exc. Error Status Reg. 1(Software Upload Image Not Present)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres.dim = {'hk7_packet'};

    % id 2430: TLM7_FswExErrStatReg1 (illegal Neon Calib Time)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.att.telemetry_point_id = '2430';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.att.mnemonic = 'TLM7_FswExErrStatReg1 (illegal Neon Calib Time)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.att.start_bit = '137';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.att.description = 'FSW Exc. Error Status Reg. 1(Illegal Neon Cal. Time)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time.dim = {'hk7_packet'};

    % id 2431: TLM7_FswExErrStatReg1 (En Cooler Door Before Releasing)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.telemetry_point_id = '2431';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.mnemonic = 'TLM7_FswExErrStatReg1 (En Cooler Door Before Releasing)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.start_bit = '138';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.att.description = 'FSW Exc. Error Status Reg. 1(Enable Cooler Door Before Releasing)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing.dim = {'hk7_packet'};

    % id 2432: TLM7_FswExErrStatReg1 (Invld Cmd Par)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.att.telemetry_point_id = '2432';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.att.mnemonic = 'TLM7_FswExErrStatReg1 (Invld Cmd Par)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.att.start_bit = '139';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.att.description = 'FSW Exc. Error Status Reg. 1(Invalid Cmd Parameters)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par.dim = {'hk7_packet'};

    % id 2433: TLM7_FswExErrStatReg1 (Default Case Reached)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.att.telemetry_point_id = '2433';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.att.mnemonic = 'TLM7_FswExErrStatReg1 (Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.att.start_bit = '140';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 1(Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached.dim = {'hk7_packet'};

    % id 2434: TLM7_FswExErrStatReg1 (MQ Rcv Error)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.att.telemetry_point_id = '2434';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.att.mnemonic = 'TLM7_FswExErrStatReg1 (MQ Rcv Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.att.start_bit = '141';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.att.description = 'FSW Exc. Error Status Reg. 1(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error.dim = {'hk7_packet'};

    % id 2435: TLM7_FswExErrStatReg1 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.att.telemetry_point_id = '2435';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg1 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.att.start_bit = '142';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 1(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2436: TLM7_FswExErrStatReg1 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.att.telemetry_point_id = '2436';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg1 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.att.start_bit = '143';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 1(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2437: TLM7_FswExErrStatReg2 (Sub Patch Temp Thres Monitor)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.telemetry_point_id = '2437';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.mnemonic = 'TLM7_FswExErrStatReg2 (Sub Patch Temp Thres Monitor)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.start_bit = '144';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.att.description = 'FSW Exc. Error Status Reg. 2(Sub Patch Temp Threshold Monitoring)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor.dim = {'hk7_packet'};

    % id 2438: TLM7_FswExErrStatReg2 (Patch Temp Thres Monitor)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.telemetry_point_id = '2438';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.mnemonic = 'TLM7_FswExErrStatReg2 (Patch Temp Thres Monitor)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.start_bit = '145';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.att.description = 'FSW Exc. Error Status Reg. 2(Patch Temp Threshold Monitoring)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor.dim = {'hk7_packet'};

    % id 2439: TLM7_FswExErrStatReg2 ( Sig Proc 5V OverVoltage Thresh Monitor)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.telemetry_point_id = '2439';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.mnemonic = 'TLM7_FswExErrStatReg2 ( Sig Proc 5V OverVoltage Thresh Monitor)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.start_bit = '146';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.att.description = 'FSW Exc. Error Status Reg. 2(Signal Processing +/- 5V OV Threshold Monitoring)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor.dim = {'hk7_packet'};

    % id 2440: TLM7_FswExErrStatReg2 (SwNotPettingWatchdog)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.att.telemetry_point_id = '2440';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.att.mnemonic = 'TLM7_FswExErrStatReg2 (SwNotPettingWatchdog)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.att.start_bit = '147';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.att.description = 'FSW Exc. Error Status Reg. 2(SwNotPettingWatchdog)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog.dim = {'hk7_packet'};

    % id 15895: TLM7_FswExErrStatReg2 (SwTaskNotResponding)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.att.telemetry_point_id = '15895';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.att.mnemonic = 'TLM7_FswExErrStatReg2 (SwTaskNotResponding)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.att.start_bit = '148';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.att.description = 'FSW Exc. Error Status Reg. 2(SwTaskNotResponding)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding.dim = {'hk7_packet'};

    % id 2441: TLM7_FswExErrStatReg2 (EEPROM general error)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.att.telemetry_point_id = '2441';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.att.mnemonic = 'TLM7_FswExErrStatReg2 (EEPROM general error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.att.start_bit = '149';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.att.description = 'FSW Exc. Error Status Reg. 2(EEPROM General Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error.dim = {'hk7_packet'};

    % id 2442: TLM7_FswExErrStatReg2 (EEPROM write error)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.att.telemetry_point_id = '2442';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.att.mnemonic = 'TLM7_FswExErrStatReg2 (EEPROM write error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.att.start_bit = '150';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.att.description = 'FSW Exc. Error Status Reg. 2(EEPROM Write Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error.dim = {'hk7_packet'};

    % id 2443: TLM7_FswExErrStatReg2 (Isr Missing 8 Sec int)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.telemetry_point_id = '2443';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.mnemonic = 'TLM7_FswExErrStatReg2 (Isr Missing 8 Sec int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.start_bit = '151';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Missing 8sec Int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int.dim = {'hk7_packet'};

    % id 2444: TLM7_FswExErrStatReg2 (Isr Early 8 Sec int)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.att.telemetry_point_id = '2444';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.att.mnemonic = 'TLM7_FswExErrStatReg2 (Isr Early 8 Sec int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.att.start_bit = '152';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Early 8sec Int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int.dim = {'hk7_packet'};

    % id 2445: TLM7_FswExErrStatReg2 (Isr unexpected int)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.att.telemetry_point_id = '2445';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.att.mnemonic = 'TLM7_FswExErrStatReg2 (Isr unexpected int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.att.start_bit = '153';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Unexpected Int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int.dim = {'hk7_packet'};

    % id 2446: TLM7_FswExErrStatReg2 (Isr Invld int)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.att.telemetry_point_id = '2446';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.att.mnemonic = 'TLM7_FswExErrStatReg2 (Isr Invld int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.att.start_bit = '154';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Invalid Int)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int.dim = {'hk7_packet'};

    % id 2447: TLM7_FswExErrStatReg2 (Isr Msg Queue Tx Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.telemetry_point_id = '2447';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.mnemonic = 'TLM7_FswExErrStatReg2 (Isr Msg Queue Tx Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.start_bit = '155';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.att.description = 'FSW Exc. Error Status Reg. 2(ISR - Message queue tx error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err.dim = {'hk7_packet'};

    % id 2448: TLM7_FswExErrStatReg2 (Free Mem Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.att.telemetry_point_id = '2448';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.att.mnemonic = 'TLM7_FswExErrStatReg2 (Free Mem Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.att.start_bit = '156';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 2(Free Memory Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err.dim = {'hk7_packet'};

    % id 2449: TLM7_FswExErrStatReg2 (Alloc Mem Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.att.telemetry_point_id = '2449';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.att.mnemonic = 'TLM7_FswExErrStatReg2 (Alloc Mem Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.att.start_bit = '157';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 2(Allocate Memory Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err.dim = {'hk7_packet'};

    % id 2450: TLM7_FswExErrStatReg2 (Neon Lmp Calib)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.att.telemetry_point_id = '2450';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.att.mnemonic = 'TLM7_FswExErrStatReg2 (Neon Lmp Calib)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.att.start_bit = '158';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.att.description = 'FSW Exc. Error Status Reg. 2(Neon Lamp is Calibrated)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib.dim = {'hk7_packet'};

    % id 2451: TLM7_FswExErrStatReg2 (EEPROM being Accessed)
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.att.telemetry_point_id = '2451';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.att.mnemonic = 'TLM7_FswExErrStatReg2 (EEPROM being Accessed)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.att.start_bit = '159';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.att.description = 'FSW Exc. Error Status Reg. 2(EEPROM is being Accessed)';
    g_metadata.packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed.dim = {'hk7_packet'};

    % id 2452: TLM7_FswExErrStatReg 3 (Sig Proc 5V OverVoltage Thresh Stat)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.telemetry_point_id = '2452';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Sig Proc 5V OverVoltage Thresh Stat)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.start_bit = '160';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.att.description = 'FSW Exc. Error Status Reg. 3(Signal Processing +/- 5V OV Threshold Status)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat.dim = {'hk7_packet'};

    % id 2453: TLM7_FswExErrStatReg 3 (Diag Mode Setting)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.att.telemetry_point_id = '2453';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Diag Mode Setting)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.att.start_bit = '161';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.att.description = 'FSW Exc. Error Status Reg. 3(Diag Dwell Mode Setting)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting.dim = {'hk7_packet'};

    % id 2454: TLM7_FswExErrStatReg 3 (Sub Patch Temp Thresh Stat)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.telemetry_point_id = '2454';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Sub Patch Temp Thresh Stat)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.start_bit = '162';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.att.description = 'FSW Exc. Error Status Reg. 3(Sub Patch Temp Threshold Status)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat.dim = {'hk7_packet'};

    % id 2455: TLM7_FswExErrStatReg 3 (Patch Temp Thresh Stat)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.telemetry_point_id = '2455';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Patch Temp Thresh Stat)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.start_bit = '163';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.att.description = 'FSW Exc. Error Status Reg. 3(Patch Temp Threshold Status)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat.dim = {'hk7_packet'};

    % id 2456: TLM7_FswExErrStatReg 3 (PCE HK Tele Valid)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.telemetry_point_id = '2456';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.mnemonic = 'TLM7_FswExErrStatReg 3 (PCE HK Tele Valid)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.start_bit = '164';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.att.description = 'FSW Exc. Error Status Reg. 3(PCE HK Tlm Valid)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid.dim = {'hk7_packet'};

    % id 2457: TLM7_FswExErrStatReg 3 (Cmd Rejected)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.att.telemetry_point_id = '2457';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Cmd Rejected)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.att.start_bit = '165';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.att.description = 'FSW Exc. Error Status Reg. 3(Cmd Rejected)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected.dim = {'hk7_packet'};

    % id 2458: TLM7_FswExErrStatReg 3 (PCI Config Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.att.telemetry_point_id = '2458';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.att.mnemonic = 'TLM7_FswExErrStatReg 3 (PCI Config Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.att.start_bit = '166';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.att.description = 'FSW Exc. Error Status Reg. 3(PCI Configuration Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err.dim = {'hk7_packet'};

    % id 2459: TLM7_FswExErrStatReg 3 (Init Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.att.telemetry_point_id = '2459';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Init Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.att.start_bit = '167';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.att.description = 'FSW Exc. Error Status Reg. 3(Initialization Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Init_Err.dim = {'hk7_packet'};

    % id 2460: TLM7_FswExErrStatReg 3 (Too Much Tele Sent)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.att.telemetry_point_id = '2460';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Too Much Tele Sent)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.att.start_bit = '168';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.att.description = 'FSW Exc. Error Status Reg. 3(Too Much Tlm Sent)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent.dim = {'hk7_packet'};

    % id 2461: TLM7_FswExErrStatReg 3 (Too Few Tele Sent)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.att.telemetry_point_id = '2461';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Too Few Tele Sent)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.att.start_bit = '169';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.att.description = 'FSW Exc. Error Status Reg. 3(Too Few Tlm Sent)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent.dim = {'hk7_packet'};

    % id 2462: TLM7_FswExErrStatReg 3 (Invld Cmd Par)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.att.telemetry_point_id = '2462';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Invld Cmd Par)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.att.start_bit = '170';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.att.description = 'FSW Exc. Error Status Reg. 3(Invalid Cmd Parameters)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par.dim = {'hk7_packet'};

    % id 2463: TLM7_FswExErrStatReg 3 (Invld Mem Bank)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.att.telemetry_point_id = '2463';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Invld Mem Bank)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.att.start_bit = '171';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.att.description = 'FSW Exc. Error Status Reg. 3(Invalid Memory Bank)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank.dim = {'hk7_packet'};

    % id 2464: TLM7_FswExErrStatReg 3 (Default Case Reached)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.att.telemetry_point_id = '2464';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.att.mnemonic = 'TLM7_FswExErrStatReg 3 (Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.att.start_bit = '172';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 3(Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached.dim = {'hk7_packet'};

    % id 2465: TLM7_FswExErrStatReg 3 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.att.telemetry_point_id = '2465';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg 3 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.att.start_bit = '173';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 3(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2466: TLM7_FswExErrStatReg 3 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.att.telemetry_point_id = '2466';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg 3 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.att.start_bit = '174';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 3(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2467: TLM7_FswExErrStatReg 3 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.att.telemetry_point_id = '2467';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg 3 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.att.start_bit = '175';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 3(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2468: TLM7_FswExErrStatReg 4 (Spare)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.att.telemetry_point_id = '2468';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.att.start_bit = '176';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.att.num_bits = '2';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.att.description = 'FSW Exc. Error Status Reg. 4(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Spare.dim = {'hk7_packet'};

    % id 16172: TLM7_FswExErrStatReg 4 (Porchswing Current Monitoring Threshold Trip Status)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.att.telemetry_point_id = '16172';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Porchswing Current Monitoring Threshold Trip Status)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.att.start_bit = '178';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.att.description = 'FSW Exc. Error Status Reg. 4(Porchswing Current Monitoring Threshold Trip Status';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_.dim = {'hk7_packet'};

    % id 16173: TLM7_FswExErrStatReg 4 (Porchswing MPD Monitoring Threshold Trip Status)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.att.telemetry_point_id = '16173';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Porchswing MPD Monitoring Threshold Trip Status)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.att.start_bit = '179';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.att.description = 'FSW Exc. Error Status Reg. 4(Porchswing MPD Monitoring Threshold Trip Status)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat.dim = {'hk7_packet'};

    % id 16174: TLM7_FswExErrStatReg 4 (Porchswing Current Monitoring Control)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.att.telemetry_point_id = '16174';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Porchswing Current Monitoring Control)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.att.start_bit = '180';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.att.description = 'FSW Exc. Error Status Reg. 4(Porchswing Current Monitoring Control)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control.dim = {'hk7_packet'};

    % id 16175: TLM7_FswExErrStatReg 4 (Porchswing MPD Monitoring Control)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.att.telemetry_point_id = '16175';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Porchswing MPD Monitoring Control)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.att.start_bit = '181';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.att.description = 'FSW Exc. Error Status Reg. 4(Porchswing MPD Monitoring Control)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control.dim = {'hk7_packet'};

    % id 2469: TLM7_FswExErrStatReg 4 (SCC write error)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.att.telemetry_point_id = '2469';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.att.mnemonic = 'TLM7_FswExErrStatReg 4 (SCC write error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.att.start_bit = '182';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.att.description = 'FSW Exc. Error Status Reg. 4(Serial Comm Controller Write Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SCC_write_error.dim = {'hk7_packet'};

    % id 2470: TLM7_FswExErrStatReg 4 (SW Upload Succ)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.att.telemetry_point_id = '2470';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.att.mnemonic = 'TLM7_FswExErrStatReg 4 (SW Upload Succ)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.att.start_bit = '183';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.att.description = 'FSW Exc. Error Status Reg. 4(Software Upload Successful)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ.dim = {'hk7_packet'};

    % id 2471: TLM7_FswExErrStatReg 4 (Msg Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.att.telemetry_point_id = '2471';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Msg Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.att.start_bit = '184';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.att.description = 'FSW Exc. Error Status Reg. 4(Message Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Msg_Err.dim = {'hk7_packet'};

    % id 2472: TLM7_FswExErrStatReg 4 (OVR Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.att.telemetry_point_id = '2472';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (OVR Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.att.start_bit = '185';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.att.description = 'FSW Exc. Error Status Reg. 4(Overrun Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OVR_Err.dim = {'hk7_packet'};

    % id 2473: TLM7_FswExErrStatReg 4 (Wrong Sz Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.att.telemetry_point_id = '2473';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Wrong Sz Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.att.start_bit = '186';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.att.description = 'FSW Exc. Error Status Reg. 4(Wrong Size Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err.dim = {'hk7_packet'};

    % id 2474: TLM7_FswExErrStatReg 4 (IM Cmd Queue OVR Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.telemetry_point_id = '2474';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (IM Cmd Queue OVR Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.start_bit = '187';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.att.description = 'FSW Exc. Error Status Reg. 4(IFM Cmd Queue Overrun Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err.dim = {'hk7_packet'};

    % id 2475: TLM7_FswExErrStatReg 4 (Default Case Reached)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.att.telemetry_point_id = '2475';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.att.mnemonic = 'TLM7_FswExErrStatReg 4 (Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.att.start_bit = '188';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 4(Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached.dim = {'hk7_packet'};

    % id 2476: TLM7_FswExErrStatReg 4 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.att.telemetry_point_id = '2476';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.att.start_bit = '189';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 4(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2477: TLM7_FswExErrStatReg 4 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.att.telemetry_point_id = '2477';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.att.start_bit = '190';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 4(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2478: TLM7_FswExErrStatReg 4 (SW Upload Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.att.telemetry_point_id = '2478';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.att.mnemonic = 'TLM7_FswExErrStatReg 4 (SW Upload Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.att.start_bit = '191';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.att.description = 'FSW Exc. Error Status Reg. 4(Software Upload Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err.dim = {'hk7_packet'};

    % id 2479: TLM7_FswExErrStatReg 5 (Spare)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.att.telemetry_point_id = '2479';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.att.mnemonic = 'TLM7_FswExErrStatReg 5 (Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.att.start_bit = '192';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.att.num_bits = '6';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.att.description = 'FSW Exc. Error Status Reg. 5(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Spare.dim = {'hk7_packet'};

    % id 15903: TLM7_FswExErrStatReg 5 (TaskIdForWatchdogFailure)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.telemetry_point_id = '15903';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.mnemonic = 'TLM7_FswExErrStatReg 5 (TaskIdForWatchdogFailure)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.start_bit = '198';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.num_bits = '5';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.att.description = 'FSW Exc. Error Status Reg. 5(TaskIdForWatchdogFailure)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure.dim = {'hk7_packet'};

    % id 2480: TLM7_FswExErrStatReg 5 (Free Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.att.telemetry_point_id = '2480';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.att.mnemonic = 'TLM7_FswExErrStatReg 5 (Free Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.att.start_bit = '203';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.att.description = 'FSW Exc. Error Status Reg. 5(Free Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Free_Err.dim = {'hk7_packet'};

    % id 2481: TLM7_FswExErrStatReg 5 (Malloc Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.att.telemetry_point_id = '2481';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.att.mnemonic = 'TLM7_FswExErrStatReg 5 (Malloc Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.att.start_bit = '204';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.att.description = 'FSW Exc. Error Status Reg. 5(Malloc Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Malloc_Err.dim = {'hk7_packet'};

    % id 2482: TLM7_FswExErrStatReg 5 (IM Cmd Par Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.att.telemetry_point_id = '2482';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.att.mnemonic = 'TLM7_FswExErrStatReg 5 (IM Cmd Par Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.att.start_bit = '205';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.att.description = 'FSW Exc. Error Status Reg. 5(IFM Cmd Parameters Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err.dim = {'hk7_packet'};

    % id 2483: TLM7_FswExErrStatReg 5 (Cmd Reject Errr)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.att.telemetry_point_id = '2483';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.att.mnemonic = 'TLM7_FswExErrStatReg 5 (Cmd Reject Errr)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.att.start_bit = '206';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.att.description = 'FSW Exc. Error Status Reg. 5(Cmd Rejected Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr.dim = {'hk7_packet'};

    % id 2484: TLM7_FswExErrStatReg 5 (IM Rpt Err in Tele)
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.telemetry_point_id = '2484';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.mnemonic = 'TLM7_FswExErrStatReg 5 (IM Rpt Err in Tele)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.start_bit = '207';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.att.description = 'FSW Exc. Error Status Reg. 5(IFM Reported Error in Tlm)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele.dim = {'hk7_packet'};

    % id 2485: TLM7_FswExErrStatReg 6 (Spare)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.att.telemetry_point_id = '2485';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.att.start_bit = '208';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.att.num_bits = '3';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.att.description = 'FSW Exc. Error Status Reg. 6(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Spare.dim = {'hk7_packet'};

    % id 2486: TLM7_FswExErrStatReg 6 (Msg Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.att.telemetry_point_id = '2486';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Msg Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.att.start_bit = '211';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.att.description = 'FSW Exc. Error Status Reg. 6(Message Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Msg_Err.dim = {'hk7_packet'};

    % id 2487: TLM7_FswExErrStatReg 6 (OVR err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.att.telemetry_point_id = '2487';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (OVR err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.att.start_bit = '212';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.att.description = 'FSW Exc. Error Status Reg. 6(Overrun Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OVR_err.dim = {'hk7_packet'};

    % id 2488: TLM7_FswExErrStatReg 6 (Parity Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.att.telemetry_point_id = '2488';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Parity Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.att.start_bit = '213';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.att.description = 'FSW Exc. Error Status Reg. 6(Parity Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Parity_Err.dim = {'hk7_packet'};

    % id 2489: TLM7_FswExErrStatReg 6 (Frame Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.att.telemetry_point_id = '2489';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Frame Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.att.start_bit = '214';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.att.description = 'FSW Exc. Error Status Reg. 6(Frame Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Frame_Err.dim = {'hk7_packet'};

    % id 2490: TLM7_FswExErrStatReg 6 (Wrong Sz Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.att.telemetry_point_id = '2490';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Wrong Sz Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.att.start_bit = '215';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.att.description = 'FSW Exc. Error Status Reg. 6(Wrong Size Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err.dim = {'hk7_packet'};

    % id 2491: TLM7_FswExErrStatReg 6 (EOF Not By Scc Reg Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.telemetry_point_id = '2491';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (EOF Not By Scc Reg Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.start_bit = '216';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.att.description = 'FSW Exc. Error Status Reg. 6(EOF Not By Serial Comm Controller Reg. Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err.dim = {'hk7_packet'};

    % id 2492: TLM7_FswExErrStatReg 6 (Queue OVR Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.att.telemetry_point_id = '2492';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Queue OVR Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.att.start_bit = '217';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.att.description = 'FSW Exc. Error Status Reg. 6(Queue Overrun Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err.dim = {'hk7_packet'};

    % id 2493: TLM7_FswExErrStatReg 6 (SCC Write Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.att.telemetry_point_id = '2493';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (SCC Write Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.att.start_bit = '218';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.att.description = 'FSW Exc. Error Status Reg. 6(Serial Comm Controller Write Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err.dim = {'hk7_packet'};

    % id 2494: TLM7_FswExErrStatReg 6 (Trans to SSM Failed)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.att.telemetry_point_id = '2494';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Trans to SSM Failed)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.att.start_bit = '219';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.att.description = 'FSW Exc. Error Status Reg. 6(Transmit to SSM Failed)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed.dim = {'hk7_packet'};

    % id 2495: TLM7_FswExErrStatReg 6 (Default Case Reached)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.att.telemetry_point_id = '2495';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.att.mnemonic = 'TLM7_FswExErrStatReg 6 (Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.att.start_bit = '220';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 6(Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached.dim = {'hk7_packet'};

    % id 2496: TLM7_FswExErrStatReg 6 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.att.telemetry_point_id = '2496';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.att.start_bit = '221';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 6(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2497: TLM7_FswExErrStatReg 6 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.att.telemetry_point_id = '2497';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.att.start_bit = '222';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 6(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2498: TLM7_FswExErrStatReg 6 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.att.telemetry_point_id = '2498';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg 6 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.att.start_bit = '223';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 6(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2499: TLM7_FswExErrStatReg7 (SPare)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.att.telemetry_point_id = '2499';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.att.mnemonic = 'TLM7_FswExErrStatReg7 (SPare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.att.start_bit = '224';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.att.num_bits = '5';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.att.description = 'FSW Exc. Error Status Reg. 7(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SPare.dim = {'hk7_packet'};

    % id 2500: TLM7_FswExErrStatReg7 (SW Upload Success)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.att.telemetry_point_id = '2500';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.att.mnemonic = 'TLM7_FswExErrStatReg7 (SW Upload Success)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.att.start_bit = '229';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.att.description = 'FSW Exc. Error Status Reg. 7(Software Upload Successful)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success.dim = {'hk7_packet'};

    % id 2501: TLM7_FswExErrStatReg7 (Cmd Reject Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.att.telemetry_point_id = '2501';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (Cmd Reject Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.att.start_bit = '230';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.att.description = 'FSW Exc. Error Status Reg. 7(Cmd Rejected Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err.dim = {'hk7_packet'};

    % id 2502: TLM7_FswExErrStatReg7 (SSM Malloc Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.att.telemetry_point_id = '2502';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (SSM Malloc Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.att.start_bit = '231';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.att.description = 'FSW Exc. Error Status Reg. 7(SSM Malloc Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err.dim = {'hk7_packet'};

    % id 2503: TLM7_FswExErrStatReg7 (SSM UL Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.att.telemetry_point_id = '2503';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (SSM UL Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.att.start_bit = '232';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.att.description = 'FSW Exc. Error Status Reg. 7(SSM Upload Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err.dim = {'hk7_packet'};

    % id 2504: TLM7_FswExErrStatReg7 (SSM Cmd Par Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.att.telemetry_point_id = '2504';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (SSM Cmd Par Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.att.start_bit = '233';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.att.description = 'FSW Exc. Error Status Reg. 7(SSM Cmd Parameter Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err.dim = {'hk7_packet'};

    % id 2505: TLM7_FswExErrStatReg7 (Written EEPROm CRC Badr)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.telemetry_point_id = '2505';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.mnemonic = 'TLM7_FswExErrStatReg7 (Written EEPROm CRC Badr)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.start_bit = '234';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.att.description = 'FSW Exc. Error Status Reg. 7(Written EEPROM CRC Bad)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr.dim = {'hk7_packet'};

    % id 2506: TLM7_FswExErrStatReg7 (LVDS Missing Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.att.telemetry_point_id = '2506';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (LVDS Missing Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.att.start_bit = '235';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.att.description = 'FSW Exc. Error Status Reg. 7(Low Voltage Differential Signal Header Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err.dim = {'hk7_packet'};

    % id 2507: TLM7_FswExErrStatReg7 (STX Missing Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.att.telemetry_point_id = '2507';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (STX Missing Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.att.start_bit = '236';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.att.description = 'FSW Exc. Error Status Reg. 7(Start Transmission Missing Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err.dim = {'hk7_packet'};

    % id 2508: TLM7_FswExErrStatReg7 (ETX Missing Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.att.telemetry_point_id = '2508';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (ETX Missing Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.att.start_bit = '237';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.att.description = 'FSW Exc. Error Status Reg. 7(End Transmission Missing Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err.dim = {'hk7_packet'};

    % id 2509: TLM7_FswExErrStatReg7 (Chksum Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.att.telemetry_point_id = '2509';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.att.mnemonic = 'TLM7_FswExErrStatReg7 (Chksum Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.att.start_bit = '238';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.att.description = 'FSW Exc. Error Status Reg. 7(Checksum Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Chksum_Err.dim = {'hk7_packet'};

    % id 2510: TLM7_FswExErrStatReg7 (Reported Err in Tele)
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.att.telemetry_point_id = '2510';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.att.mnemonic = 'TLM7_FswExErrStatReg7 (Reported Err in Tele)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.att.start_bit = '239';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.att.description = 'FSW Exc. Error Status Reg. 7(Reported Error in Tlm)';
    g_metadata.packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele.dim = {'hk7_packet'};

    % id 2511: TLM7_FswExErrStatReg8 (Spare)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.att.telemetry_point_id = '2511';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.att.mnemonic = 'TLM7_FswExErrStatReg8 (Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.att.start_bit = '240';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.att.description = 'FSW Exc. Error Status Reg. 8(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Spare.dim = {'hk7_packet'};

    % id 2512: TLM7_FswExErrStatReg8 (Pckt Dropped)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.att.telemetry_point_id = '2512';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.att.mnemonic = 'TLM7_FswExErrStatReg8 (Pckt Dropped)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.att.start_bit = '241';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.att.description = 'FSW Exc. Error Status Reg. 8(Packet Dropped)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped.dim = {'hk7_packet'};

    % id 2513: TLM7_FswExErrStatReg8 (Invld Par Len)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.att.telemetry_point_id = '2513';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld Par Len)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.att.start_bit = '242';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Parameter Length)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len.dim = {'hk7_packet'};

    % id 2514: TLM7_FswExErrStatReg8 (Invld APID type)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.att.telemetry_point_id = '2514';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld APID type)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.att.start_bit = '243';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.att.description = 'FSW Exc. Error Status Reg. 8(Invalid APID type)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID_type.dim = {'hk7_packet'};

    % id 2515: TLM7_FswExErrStatReg8 (Invld Cmd Len)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.att.telemetry_point_id = '2515';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld Cmd Len)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.att.start_bit = '244';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Cmd Length)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len.dim = {'hk7_packet'};

    % id 2516: TLM7_FswExErrStatReg8 (Invld CCSDS Len)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.att.telemetry_point_id = '2516';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld CCSDS Len)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.att.start_bit = '245';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.att.description = 'FSW Exc. Error Status Reg. 8(Invalid CCSDS Length)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len.dim = {'hk7_packet'};

    % id 2517: TLM7_FswExErrStatReg8 (Invld Seg Pckt Rcv)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.telemetry_point_id = '2517';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld Seg Pckt Rcv)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.start_bit = '246';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Segmented Packet Received)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv.dim = {'hk7_packet'};

    % id 2518: TLM7_FswExErrStatReg8 (Invld APID)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.att.telemetry_point_id = '2518';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld APID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.att.start_bit = '247';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.att.description = 'FSW Exc. Error Status Reg. 8(Invalid APID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_APID.dim = {'hk7_packet'};

    % id 2519: TLM7_FswExErrStatReg8 (Invld Chksum)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.att.telemetry_point_id = '2519';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld Chksum)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.att.start_bit = '248';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Checksum)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Chksum.dim = {'hk7_packet'};

    % id 2520: TLM7_FswExErrStatReg8 (Invld Cmd ID)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.att.telemetry_point_id = '2520';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.att.mnemonic = 'TLM7_FswExErrStatReg8 (Invld Cmd ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.att.start_bit = '249';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.att.description = 'FSW Exc. Error Status Reg. 8(Invalid Cmd ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID.dim = {'hk7_packet'};

    % id 2521: TLM7_FswExErrStatReg8 (Default Case Reached)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.att.telemetry_point_id = '2521';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.att.mnemonic = 'TLM7_FswExErrStatReg8 (Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.att.start_bit = '250';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.att.description = 'FSW Exc. Error Status Reg. 8(Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached.dim = {'hk7_packet'};

    % id 2522: TLM7_FswExErrStatReg8 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.att.telemetry_point_id = '2522';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg8 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.att.start_bit = '251';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 8(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2523: TLM7_FswExErrStatReg8 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.att.telemetry_point_id = '2523';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg8 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.att.start_bit = '252';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 8(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2524: TLM7_FswExErrStatReg8 (MM Free Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.att.telemetry_point_id = '2524';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.att.mnemonic = 'TLM7_FswExErrStatReg8 (MM Free Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.att.start_bit = '253';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.att.description = 'FSW Exc. Error Status Reg. 8(Memory Manager Free Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Free_Err.dim = {'hk7_packet'};

    % id 2525: TLM7_FswExErrStatReg8 (MM Alloc Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.att.telemetry_point_id = '2525';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.att.mnemonic = 'TLM7_FswExErrStatReg8 (MM Alloc Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.att.start_bit = '254';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.att.description = 'FSW Exc. Error Status Reg. 8(Memory Manager Allocation Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err.dim = {'hk7_packet'};

    % id 2526: TLM7_FswExErrStatReg8 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.att.telemetry_point_id = '2526';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg8 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.att.start_bit = '255';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 8(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2527: TLM7_FswExErrStatReg9 (PCI Init Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.att.telemetry_point_id = '2527';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (PCI Init Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.att.start_bit = '256';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.att.description = 'FSW Exc. Error Status Reg. 9(PCI Init Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err.dim = {'hk7_packet'};

    % id 2528: TLM7_FswExErrStatReg9 (UnSupp Config)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.att.telemetry_point_id = '2528';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.att.mnemonic = 'TLM7_FswExErrStatReg9 (UnSupp Config)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.att.start_bit = '257';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.att.description = 'FSW Exc. Error Status Reg. 9(Unsupported Configuration)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_UnSupp_Config.dim = {'hk7_packet'};

    % id 2529: TLM7_FswExErrStatReg9 (Invld Diag Chan Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.att.telemetry_point_id = '2529';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Invld Diag Chan Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.att.start_bit = '258';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Diag Chan. Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err.dim = {'hk7_packet'};

    % id 2530: TLM7_FswExErrStatReg9 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.telemetry_point_id = '2530';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.start_bit = '259';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.description = 'FSW Exc. Error Status Reg. 9(Unsupported Sci Data Len/Bit Trim Tbl/Dec Rate Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.dim = {'hk7_packet'};

    % id 2531: TLM7_FswExErrStatReg9 (No Term on Tele Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.att.telemetry_point_id = '2531';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (No Term on Tele Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.att.start_bit = '260';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.att.description = 'FSW Exc. Error Status Reg. 9(No Termination On Tlm Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err.dim = {'hk7_packet'};

    % id 2532: TLM7_FswExErrStatReg9 (Invld Tele ID Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.att.telemetry_point_id = '2532';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Invld Tele ID Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.att.start_bit = '261';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Tlm ID Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err.dim = {'hk7_packet'};

    % id 2533: TLM7_FswExErrStatReg9 (Invld Coef Tbl ID Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.telemetry_point_id = '2533';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Invld Coef Tbl ID Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.start_bit = '262';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Coefficient Table ID Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err.dim = {'hk7_packet'};

    % id 2534: TLM7_FswExErrStatReg9 (Bit Trim Tbl Indx Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.telemetry_point_id = '2534';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Bit Trim Tbl Indx Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.start_bit = '263';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 9(Bit Trim Table Index Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err.dim = {'hk7_packet'};

    % id 2535: TLM7_FswExErrStatReg9 (Impulse Tbl Indx Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.telemetry_point_id = '2535';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Impulse Tbl Indx Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.start_bit = '264';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 9(Impulse Table Index Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err.dim = {'hk7_packet'};

    % id 2536: TLM7_FswExErrStatReg9 (Invld Module ID)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.att.telemetry_point_id = '2536';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.att.mnemonic = 'TLM7_FswExErrStatReg9 (Invld Module ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.att.start_bit = '265';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.att.description = 'FSW Exc. Error Status Reg. 9(Invalid Module ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID.dim = {'hk7_packet'};

    % id 2537: TLM7_FswExErrStatReg9 (Config Data Ptr Null Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.telemetry_point_id = '2537';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (Config Data Ptr Null Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.start_bit = '266';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.att.description = 'FSW Exc. Error Status Reg. 9(Configuration Data Pointer Null Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err.dim = {'hk7_packet'};

    % id 2538: TLM7_FswExErrStatReg9 (Rcv Unknown ID-Default Case)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.telemetry_point_id = '2538';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.mnemonic = 'TLM7_FswExErrStatReg9 (Rcv Unknown ID-Default Case)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.start_bit = '267';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.att.description = 'FSW Exc. Error Status Reg. 9(Receive Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case.dim = {'hk7_packet'};

    % id 2539: TLM7_FswExErrStatReg9 (Trans Unknown ID-Default Case)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.telemetry_point_id = '2539';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.mnemonic = 'TLM7_FswExErrStatReg9 (Trans Unknown ID-Default Case)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.start_bit = '268';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.att.description = 'FSW Exc. Error Status Reg. 9(Transmit Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case.dim = {'hk7_packet'};

    % id 2540: TLM7_FswExErrStatReg9 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.att.telemetry_point_id = '2540';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.att.start_bit = '269';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 9(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2541: TLM7_FswExErrStatReg9 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.att.telemetry_point_id = '2541';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.att.start_bit = '270';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 9(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2542: TLM7_FswExErrStatReg9 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.att.telemetry_point_id = '2542';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg9 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.att.start_bit = '271';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 9(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2543: TLM7_FswExErrStatReg10 (Taps Q Coef MisMatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.telemetry_point_id = '2543';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.mnemonic = 'TLM7_FswExErrStatReg10 (Taps Q Coef MisMatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.start_bit = '272';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 10(Taps Q Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch.dim = {'hk7_packet'};

    % id 2544: TLM7_FswExErrStatReg10 (Taps I Coef MisMatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.telemetry_point_id = '2544';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.mnemonic = 'TLM7_FswExErrStatReg10 (Taps I Coef MisMatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.start_bit = '273';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 10(Taps I Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch.dim = {'hk7_packet'};

    % id 2545: TLM7_FswExErrStatReg10 (Coef Dat Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.att.telemetry_point_id = '2545';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (Coef Dat Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.att.start_bit = '274';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.att.description = 'FSW Exc. Error Status Reg. 10(Coefficient Data Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err.dim = {'hk7_packet'};

    % id 2546: TLM7_FswExErrStatReg10 (Config Dat Err - 4 min)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.att.telemetry_point_id = '2546';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.att.mnemonic = 'TLM7_FswExErrStatReg10 (Config Dat Err - 4 min)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.att.start_bit = '275';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.att.description = 'FSW Exc. Error Status Reg. 10(Configuration Data Error - 4 Minute)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min.dim = {'hk7_packet'};

    % id 2547: TLM7_FswExErrStatReg10 (Config Dat Err - 8 sec)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.att.telemetry_point_id = '2547';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.att.mnemonic = 'TLM7_FswExErrStatReg10 (Config Dat Err - 8 sec)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.att.start_bit = '276';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.att.description = 'FSW Exc. Error Status Reg. 10(Configuration Data Error - 8 Second)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec.dim = {'hk7_packet'};

    % id 2548: TLM7_FswExErrStatReg10 (Persistant Tbl Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.att.telemetry_point_id = '2548';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (Persistant Tbl Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.att.start_bit = '277';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.att.description = 'FSW Exc. Error Status Reg. 10(Persistent Table Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err.dim = {'hk7_packet'};

    % id 2549: TLM7_FswExErrStatReg10 (Setup Data Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.att.telemetry_point_id = '2549';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (Setup Data Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.att.start_bit = '278';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.att.description = 'FSW Exc. Error Status Reg. 10(Setup Data Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err.dim = {'hk7_packet'};

    % id 2550: TLM7_FswExErrStatReg10 (Invld Num Coef Entries)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.att.telemetry_point_id = '2550';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.att.mnemonic = 'TLM7_FswExErrStatReg10 (Invld Num Coef Entries)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.att.start_bit = '279';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.att.description = 'FSW Exc. Error Status Reg. 10(Invalid Number of Coefficient Entries)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries.dim = {'hk7_packet'};

    % id 2551: TLM7_FswExErrStatReg10 (Filter Offset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.att.telemetry_point_id = '2551';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (Filter Offset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.att.start_bit = '280';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.att.description = 'FSW Exc. Error Status Reg. 10(Filter Offset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err.dim = {'hk7_packet'};

    % id 2552: TLM7_FswExErrStatReg10 (Run Samples > Total Samples)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.att.telemetry_point_id = '2552';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.att.mnemonic = 'TLM7_FswExErrStatReg10 (Run Samples > Total Samples)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.att.start_bit = '281';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.att.description = 'FSW Exc. Error Status Reg. 10(Run Samples > Total Samples)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples.dim = {'hk7_packet'};

    % id 2553: TLM7_FswExErrStatReg10 (Bit Trim Tbl Start/Stop Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.telemetry_point_id = '2553';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (Bit Trim Tbl Start/Stop Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.start_bit = '282';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.att.description = 'FSW Exc. Error Status Reg. 10(Bit Trim Table Start/Stop Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err.dim = {'hk7_packet'};

    % id 2554: TLM7_FswExErrStatReg10 (Coef Mismatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.att.telemetry_point_id = '2554';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.att.mnemonic = 'TLM7_FswExErrStatReg10 (Coef Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.att.start_bit = '283';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.att.description = 'FSW Exc. Error Status Reg. 10(Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch.dim = {'hk7_packet'};

    % id 2555: TLM7_FswExErrStatReg10 (Mem Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.att.telemetry_point_id = '2555';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (Mem Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.att.start_bit = '284';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 10(Memory Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Mem_Err.dim = {'hk7_packet'};

    % id 2556: TLM7_FswExErrStatReg10 (PCI Retry Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.att.telemetry_point_id = '2556';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.att.mnemonic = 'TLM7_FswExErrStatReg10 (PCI Retry Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.att.start_bit = '285';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.att.description = 'FSW Exc. Error Status Reg. 10(PCI Retry Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err.dim = {'hk7_packet'};

    % id 2557: TLM7_FswExErrStatReg10 (Sig Proc in Rst)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.att.telemetry_point_id = '2557';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.att.mnemonic = 'TLM7_FswExErrStatReg10 (Sig Proc in Rst)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.att.start_bit = '286';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.att.description = 'FSW Exc. Error Status Reg. 10(Signal Processor Is In Reset)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst.dim = {'hk7_packet'};

    % id 2558: TLM7_FswExErrStatReg10 (SSM Scn Pos Missing Err/Invld)
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.telemetry_point_id = '2558';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.mnemonic = 'TLM7_FswExErrStatReg10 (SSM Scn Pos Missing Err/Invld)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.start_bit = '287';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.att.description = 'FSW Exc. Error Status Reg. 10(SSM Scan Position Missing Error or Invalid)';
    g_metadata.packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld.dim = {'hk7_packet'};

    % id 2559: TLM7_FswExErrStatReg11 (Wake Up Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.att.telemetry_point_id = '2559';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (Wake Up Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.att.start_bit = '288';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.att.description = 'FSW Exc. Error Status Reg. 11(Wake Up Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err.dim = {'hk7_packet'};

    % id 2560: TLM7_FswExErrStatReg11 (DMA Addr Write Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.att.telemetry_point_id = '2560';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (DMA Addr Write Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.att.start_bit = '289';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.att.description = 'FSW Exc. Error Status Reg. 11(DMA Address Write Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err.dim = {'hk7_packet'};

    % id 2561: TLM7_FswExErrStatReg11 (Mem dmp Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.att.telemetry_point_id = '2561';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (Mem dmp Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.att.start_bit = '290';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.att.description = 'FSW Exc. Error Status Reg. 11(Memory Dump Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err.dim = {'hk7_packet'};

    % id 2562: TLM7_FswExErrStatReg11 (LRD Num FOVs ERR)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.telemetry_point_id = '2562';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.mnemonic = 'TLM7_FswExErrStatReg11 (LRD Num FOVs ERR)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.start_bit = '291';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data Number of FOVs Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR.dim = {'hk7_packet'};

    % id 2563: TLM7_FswExErrStatReg11 (LRD FOV Val Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.att.telemetry_point_id = '2563';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (LRD FOV Val Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.att.start_bit = '292';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data FOV Value Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err.dim = {'hk7_packet'};

    % id 2564: TLM7_FswExErrStatReg11 (LRD Mode Sel Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.att.telemetry_point_id = '2564';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (LRD Mode Sel Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.att.start_bit = '293';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data Mode Select Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err.dim = {'hk7_packet'};

    % id 2565: TLM7_FswExErrStatReg11 (LRD FOV Repeat Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.telemetry_point_id = '2565';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (LRD FOV Repeat Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.start_bit = '294';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.att.description = 'FSW Exc. Error Status Reg. 11(Low Rate Data FOV Repeated Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err.dim = {'hk7_packet'};

    % id 2566: TLM7_FswExErrStatReg11 (Filt Dec Sample Cnt Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.telemetry_point_id = '2566';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (Filt Dec Sample Cnt Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.start_bit = '295';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.att.description = 'FSW Exc. Error Status Reg. 11(Filtered Decimated Sample Count Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err.dim = {'hk7_packet'};

    % id 2567: TLM7_FswExErrStatReg11 (FOR Upset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.att.telemetry_point_id = '2567';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (FOR Upset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.att.start_bit = '296';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 11(Field of Regard Upset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err.dim = {'hk7_packet'};

    % id 2568: TLM7_FswExErrStatReg11 (SEFI Upset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.att.telemetry_point_id = '2568';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (SEFI Upset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.att.start_bit = '297';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 11(Single Event Function Interrupt Upset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err.dim = {'hk7_packet'};

    % id 2569: TLM7_FswExErrStatReg11 (PCI Retry Count Too Big Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.telemetry_point_id = '2569';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (PCI Retry Count Too Big Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.start_bit = '298';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.att.description = 'FSW Exc. Error Status Reg. 11(PCI Retry Count Too Big Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err.dim = {'hk7_packet'};

    % id 2570: TLM7_FswExErrStatReg11 (PCI Config Read Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.att.telemetry_point_id = '2570';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (PCI Config Read Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.att.start_bit = '299';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.att.description = 'FSW Exc. Error Status Reg. 11(PCI Configuration Read Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err.dim = {'hk7_packet'};

    % id 2571: TLM7_FswExErrStatReg11 (Device Not Found)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.att.telemetry_point_id = '2571';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.att.mnemonic = 'TLM7_FswExErrStatReg11 (Device Not Found)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.att.start_bit = '300';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.att.description = 'FSW Exc. Error Status Reg. 11(Device Not Found)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Device_Not_Found.dim = {'hk7_packet'};

    % id 2572: TLM7_FswExErrStatReg11 (Invalid Param)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.att.telemetry_point_id = '2572';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.att.mnemonic = 'TLM7_FswExErrStatReg11 (Invalid Param)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.att.start_bit = '301';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.att.description = 'FSW Exc. Error Status Reg. 11(Invalid Param)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Invalid_Param.dim = {'hk7_packet'};

    % id 2573: TLM7_FswExErrStatReg11 (Taps per Int Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.att.telemetry_point_id = '2573';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.att.mnemonic = 'TLM7_FswExErrStatReg11 (Taps per Int Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.att.start_bit = '302';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.att.description = 'FSW Exc. Error Status Reg. 11(Taps per Interval Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err.dim = {'hk7_packet'};

    % id 2574: TLM7_FswExErrStatReg11 (Spare2)
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.att.telemetry_point_id = '2574';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.att.mnemonic = 'TLM7_FswExErrStatReg11 (Spare2)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.att.start_bit = '303';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.att.description = 'FSW Exc. Error Status Reg. 11(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg11_Spare2.dim = {'hk7_packet'};

    % id 2575: TLM7_FswExErrStatReg12 (PCI Init Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.att.telemetry_point_id = '2575';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (PCI Init Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.att.start_bit = '304';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.att.description = 'FSW Exc. Error Status Reg. 12(PCI Init Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err.dim = {'hk7_packet'};

    % id 2576: TLM7_FswExErrStatReg12 (Unsupp Config)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.att.telemetry_point_id = '2576';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.att.mnemonic = 'TLM7_FswExErrStatReg12 (Unsupp Config)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.att.start_bit = '305';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.att.description = 'FSW Exc. Error Status Reg. 12(Unsupported Configuration)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Config.dim = {'hk7_packet'};

    % id 2577: TLM7_FswExErrStatReg12 (Invld Diag Chan Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.att.telemetry_point_id = '2577';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Invld Diag Chan Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.att.start_bit = '306';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Diag Chan. Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err.dim = {'hk7_packet'};

    % id 2578: TLM7_FswExErrStatReg12 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.telemetry_point_id = '2578';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.start_bit = '307';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.description = 'FSW Exc. Error Status Reg. 12(Unsupported Sci Data Len/Bit Trim Tbl/Dec Rate Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.dim = {'hk7_packet'};

    % id 2579: TLM7_FswExErrStatReg12 (No Term on Tele Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.att.telemetry_point_id = '2579';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (No Term on Tele Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.att.start_bit = '308';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.att.description = 'FSW Exc. Error Status Reg. 12(No Termination On Tlm Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err.dim = {'hk7_packet'};

    % id 2580: TLM7_FswExErrStatReg12 (Invld Tele ID Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.att.telemetry_point_id = '2580';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Invld Tele ID Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.att.start_bit = '309';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Tlm ID Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err.dim = {'hk7_packet'};

    % id 2581: TLM7_FswExErrStatReg12 (Invld Coef Tbl ID Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.telemetry_point_id = '2581';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Invld Coef Tbl ID Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.start_bit = '310';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Coefficient Table ID Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err.dim = {'hk7_packet'};

    % id 2582: TLM7_FswExErrStatReg12 (Bit Trim Indx Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.att.telemetry_point_id = '2582';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Bit Trim Indx Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.att.start_bit = '311';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 12(Bit Trim Table Index Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err.dim = {'hk7_packet'};

    % id 2583: TLM7_FswExErrStatReg12 (Impulse Tbl Index Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.telemetry_point_id = '2583';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Impulse Tbl Index Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.start_bit = '312';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.att.description = 'FSW Exc. Error Status Reg. 12(Impulse Table Index Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err.dim = {'hk7_packet'};

    % id 2584: TLM7_FswExErrStatReg12 (Invld Module ID)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.att.telemetry_point_id = '2584';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.att.mnemonic = 'TLM7_FswExErrStatReg12 (Invld Module ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.att.start_bit = '313';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.att.description = 'FSW Exc. Error Status Reg. 12(Invalid Module ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID.dim = {'hk7_packet'};

    % id 2585: TLM7_FswExErrStatReg12 (Config Data Ptr Null Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.telemetry_point_id = '2585';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (Config Data Ptr Null Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.start_bit = '314';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.att.description = 'FSW Exc. Error Status Reg. 12(Configuration Data Pointer Null Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err.dim = {'hk7_packet'};

    % id 2586: TLM7_FswExErrStatReg12 (Rcv Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.telemetry_point_id = '2586';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM7_FswExErrStatReg12 (Rcv Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.start_bit = '315';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 12(Receive Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case.dim = {'hk7_packet'};

    % id 2587: TLM7_FswExErrStatReg12 (Trans Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.telemetry_point_id = '2587';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM7_FswExErrStatReg12 (Trans Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.start_bit = '316';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 12(Transmit Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case.dim = {'hk7_packet'};

    % id 2588: TLM7_FswExErrStatReg12 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.att.telemetry_point_id = '2588';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.att.start_bit = '317';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 12(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2589: TLM7_FswExErrStatReg12 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.att.telemetry_point_id = '2589';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.att.start_bit = '318';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 12(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2590: TLM7_FswExErrStatReg12 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.att.telemetry_point_id = '2590';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg12 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.att.start_bit = '319';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 12(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2591: TLM7_FswExErrStatReg13 (Taps Q Coef MisMatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.telemetry_point_id = '2591';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.mnemonic = 'TLM7_FswExErrStatReg13 (Taps Q Coef MisMatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.start_bit = '320';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 13(Taps Q Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch.dim = {'hk7_packet'};

    % id 2592: TLM7_FswExErrStatReg13 (Taps I Coef MisMatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.telemetry_point_id = '2592';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.mnemonic = 'TLM7_FswExErrStatReg13 (Taps I Coef MisMatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.start_bit = '321';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 13(Taps I Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch.dim = {'hk7_packet'};

    % id 2593: TLM7_FswExErrStatReg13 (Coef Dat Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.att.telemetry_point_id = '2593';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (Coef Dat Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.att.start_bit = '322';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.att.description = 'FSW Exc. Error Status Reg. 13(Coefficient Data Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err.dim = {'hk7_packet'};

    % id 2594: TLM7_FswExErrStatReg13 (Config Dat Err - 4 min)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.att.telemetry_point_id = '2594';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.att.mnemonic = 'TLM7_FswExErrStatReg13 (Config Dat Err - 4 min)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.att.start_bit = '323';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.att.description = 'FSW Exc. Error Status Reg. 13(Configuration Data Error - 4 Minute)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min.dim = {'hk7_packet'};

    % id 2595: TLM7_FswExErrStatReg13 (Config Dat Err - 8 sec)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.att.telemetry_point_id = '2595';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.att.mnemonic = 'TLM7_FswExErrStatReg13 (Config Dat Err - 8 sec)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.att.start_bit = '324';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.att.description = 'FSW Exc. Error Status Reg. 13(Configuration Data Error - 8 Second)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec.dim = {'hk7_packet'};

    % id 2596: TLM7_FswExErrStatReg13 (Persistant Tbl Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.att.telemetry_point_id = '2596';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (Persistant Tbl Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.att.start_bit = '325';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.att.description = 'FSW Exc. Error Status Reg. 13(Persistent Table Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err.dim = {'hk7_packet'};

    % id 2597: TLM7_FswExErrStatReg13 (Setup Data Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.att.telemetry_point_id = '2597';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (Setup Data Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.att.start_bit = '326';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.att.description = 'FSW Exc. Error Status Reg. 13(Setup Data Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err.dim = {'hk7_packet'};

    % id 2598: TLM7_FswExErrStatReg13 (Invld Num Coef Entries)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.att.telemetry_point_id = '2598';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.att.mnemonic = 'TLM7_FswExErrStatReg13 (Invld Num Coef Entries)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.att.start_bit = '327';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.att.description = 'FSW Exc. Error Status Reg. 13(Invalid Number of Coefficient Entries)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries.dim = {'hk7_packet'};

    % id 2599: TLM7_FswExErrStatReg13 (Filter Offset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.att.telemetry_point_id = '2599';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (Filter Offset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.att.start_bit = '328';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.att.description = 'FSW Exc. Error Status Reg. 13(Filter Offset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err.dim = {'hk7_packet'};

    % id 2600: TLM7_FswExErrStatReg13 (Run Samples > Total Samples)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.att.telemetry_point_id = '2600';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.att.mnemonic = 'TLM7_FswExErrStatReg13 (Run Samples > Total Samples)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.att.start_bit = '329';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.att.description = 'FSW Exc. Error Status Reg. 13(Run Samples > Total Samples)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples.dim = {'hk7_packet'};

    % id 2601: TLM7_FswExErrStatReg13 (Bit Trim Tbl Start/Stop Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.telemetry_point_id = '2601';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (Bit Trim Tbl Start/Stop Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.start_bit = '330';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.att.description = 'FSW Exc. Error Status Reg. 13(Bit Trim Table Start/Stop Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err.dim = {'hk7_packet'};

    % id 2602: TLM7_FswExErrStatReg13 (Coef Mismatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.att.telemetry_point_id = '2602';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.att.mnemonic = 'TLM7_FswExErrStatReg13 (Coef Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.att.start_bit = '331';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.att.description = 'FSW Exc. Error Status Reg. 13(Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch.dim = {'hk7_packet'};

    % id 2603: TLM7_FswExErrStatReg13 (Mem Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.att.telemetry_point_id = '2603';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (Mem Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.att.start_bit = '332';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 13(Memory Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Mem_Err.dim = {'hk7_packet'};

    % id 2604: TLM7_FswExErrStatReg13 (PCI Retry Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.att.telemetry_point_id = '2604';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.att.mnemonic = 'TLM7_FswExErrStatReg13 (PCI Retry Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.att.start_bit = '333';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.att.description = 'FSW Exc. Error Status Reg. 13(PCI Retry Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err.dim = {'hk7_packet'};

    % id 2605: TLM7_FswExErrStatReg13 (Sig Proc in Rst)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.att.telemetry_point_id = '2605';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.att.mnemonic = 'TLM7_FswExErrStatReg13 (Sig Proc in Rst)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.att.start_bit = '334';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.att.description = 'FSW Exc. Error Status Reg. 13(Signal Processor Is In Reset)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst.dim = {'hk7_packet'};

    % id 2606: TLM7_FswExErrStatReg13 (SSM Scn Pos Missing Err/Invld)
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.telemetry_point_id = '2606';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.mnemonic = 'TLM7_FswExErrStatReg13 (SSM Scn Pos Missing Err/Invld)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.start_bit = '335';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.att.description = 'FSW Exc. Error Status Reg. 13(SSM Scan Position Missing Error or Invalid)';
    g_metadata.packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld.dim = {'hk7_packet'};

    % id 2607: TLM7_FswExErrStatReg14 (Wake Up Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.att.telemetry_point_id = '2607';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (Wake Up Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.att.start_bit = '336';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.att.description = 'FSW Exc. Error Status Reg. 14(Wake Up Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err.dim = {'hk7_packet'};

    % id 2608: TLM7_FswExErrStatReg14 (DMA Addr Write Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.att.telemetry_point_id = '2608';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (DMA Addr Write Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.att.start_bit = '337';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.att.description = 'FSW Exc. Error Status Reg. 14(DMA Address Write Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err.dim = {'hk7_packet'};

    % id 2609: TLM7_FswExErrStatReg14 (Mem dmp Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.att.telemetry_point_id = '2609';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (Mem dmp Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.att.start_bit = '338';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.att.description = 'FSW Exc. Error Status Reg. 14(Memory Dump Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err.dim = {'hk7_packet'};

    % id 2610: TLM7_FswExErrStatReg14 (LRD Num FOVs ERR)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.telemetry_point_id = '2610';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.mnemonic = 'TLM7_FswExErrStatReg14 (LRD Num FOVs ERR)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.start_bit = '339';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data Number of FOVs Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR.dim = {'hk7_packet'};

    % id 2611: TLM7_FswExErrStatReg14 (LRD FOV Val Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.att.telemetry_point_id = '2611';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (LRD FOV Val Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.att.start_bit = '340';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data FOV Value Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err.dim = {'hk7_packet'};

    % id 2612: TLM7_FswExErrStatReg14 (LRD Mode Sel Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.att.telemetry_point_id = '2612';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (LRD Mode Sel Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.att.start_bit = '341';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data Mode Select Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err.dim = {'hk7_packet'};

    % id 2613: TLM7_FswExErrStatReg14 (LRD FOV Repeat Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.telemetry_point_id = '2613';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (LRD FOV Repeat Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.start_bit = '342';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.att.description = 'FSW Exc. Error Status Reg. 14(Low Rate Data FOV Repeated Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err.dim = {'hk7_packet'};

    % id 2614: TLM7_FswExErrStatReg14 (Filtrd Dec Sample Cnt Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.telemetry_point_id = '2614';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (Filtrd Dec Sample Cnt Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.start_bit = '343';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.att.description = 'FSW Exc. Error Status Reg. 14(Filtered Decimated Sample Count Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err.dim = {'hk7_packet'};

    % id 2615: TLM7_FswExErrStatReg14 (FOR Upset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.att.telemetry_point_id = '2615';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (FOR Upset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.att.start_bit = '344';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 14(Field of Regard Upset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err.dim = {'hk7_packet'};

    % id 2616: TLM7_FswExErrStatReg14 (SEFI Upset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.att.telemetry_point_id = '2616';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (SEFI Upset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.att.start_bit = '345';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 14(Single Event Function Interrupt Upset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err.dim = {'hk7_packet'};

    % id 2617: TLM7_FswExErrStatReg14 (PCI Retry Count Too Big Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.telemetry_point_id = '2617';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (PCI Retry Count Too Big Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.start_bit = '346';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.att.description = 'FSW Exc. Error Status Reg. 14(PCI Retry Count Too Big Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err.dim = {'hk7_packet'};

    % id 2618: TLM7_FswExErrStatReg14 (PCI Config Read Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.att.telemetry_point_id = '2618';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (PCI Config Read Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.att.start_bit = '347';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.att.description = 'FSW Exc. Error Status Reg. 14(PCI Configuration Read Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err.dim = {'hk7_packet'};

    % id 2619: TLM7_FswExErrStatReg14 (Device Not Found)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.att.telemetry_point_id = '2619';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.att.mnemonic = 'TLM7_FswExErrStatReg14 (Device Not Found)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.att.start_bit = '348';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.att.description = 'FSW Exc. Error Status Reg. 14(Device Not Found)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Device_Not_Found.dim = {'hk7_packet'};

    % id 2620: TLM7_FswExErrStatReg14 (Invalid Param)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.att.telemetry_point_id = '2620';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.att.mnemonic = 'TLM7_FswExErrStatReg14 (Invalid Param)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.att.start_bit = '349';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.att.description = 'FSW Exc. Error Status Reg. 14(Invalid Param)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Invalid_Param.dim = {'hk7_packet'};

    % id 2621: TLM7_FswExErrStatReg14 (Taps per Int Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.att.telemetry_point_id = '2621';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.att.mnemonic = 'TLM7_FswExErrStatReg14 (Taps per Int Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.att.start_bit = '350';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.att.description = 'FSW Exc. Error Status Reg. 14(Taps per Interval Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err.dim = {'hk7_packet'};

    % id 2622: TLM7_FswExErrStatReg14 (Spare2)
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.att.telemetry_point_id = '2622';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.att.mnemonic = 'TLM7_FswExErrStatReg14 (Spare2)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.att.start_bit = '351';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.att.description = 'FSW Exc. Error Status Reg. 14(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg14_Spare2.dim = {'hk7_packet'};

    % id 2623: TLM7_FswExErrStatReg15 (PCI Init Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.att.telemetry_point_id = '2623';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (PCI Init Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.att.start_bit = '352';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.att.description = 'FSW Exc. Error Status Reg. 15(PCI Init Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err.dim = {'hk7_packet'};

    % id 2624: TLM7_FswExErrStatReg15 (Unsupp Config)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.att.telemetry_point_id = '2624';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.att.mnemonic = 'TLM7_FswExErrStatReg15 (Unsupp Config)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.att.start_bit = '353';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.att.description = 'FSW Exc. Error Status Reg. 15(Unsupported Configuration)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Config.dim = {'hk7_packet'};

    % id 2625: TLM7_FswExErrStatReg15 (Invld Diag Chan Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.att.telemetry_point_id = '2625';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Invld Diag Chan Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.att.start_bit = '354';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Diag Chan. Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err.dim = {'hk7_packet'};

    % id 2626: TLM7_FswExErrStatReg15 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.telemetry_point_id = '2626';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Unsupp Sci Data Len/Bit Trim Tbl/Dec Rate Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.start_bit = '355';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.att.description = 'FSW Exc. Error Status Reg. 15(Unsupported Sci Data Len/Bit Trim Tbl/Dec Rate Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err.dim = {'hk7_packet'};

    % id 2627: TLM7_FswExErrStatReg15 (No Term on Tele Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.att.telemetry_point_id = '2627';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (No Term on Tele Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.att.start_bit = '356';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.att.description = 'FSW Exc. Error Status Reg. 15(No Termination On Tlm Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err.dim = {'hk7_packet'};

    % id 2628: TLM7_FswExErrStatReg15 (Invld Tele ID Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.att.telemetry_point_id = '2628';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Invld Tele ID Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.att.start_bit = '357';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Tlm ID Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err.dim = {'hk7_packet'};

    % id 2629: TLM7_FswExErrStatReg15 (Invld Coef Tbl ID Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.telemetry_point_id = '2629';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Invld Coef Tbl ID Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.start_bit = '358';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Coefficient Table ID Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err.dim = {'hk7_packet'};

    % id 2630: TLM7_FswExErrStatReg15 (Bit Trim Indx Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.att.telemetry_point_id = '2630';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Bit Trim Indx Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.att.start_bit = '359';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.att.description = 'FSW Exc. Error Status Reg. 15(Bit Trim Table Index Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err.dim = {'hk7_packet'};

    % id 2631: TLM7_FswExErrStatReg15 (Impulse Tbl Index Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.telemetry_point_id = '2631';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Impulse Tbl Index Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.start_bit = '360';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.att.description = 'FSW Exc. Error Status Reg. 15(Impulse Table Index Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err.dim = {'hk7_packet'};

    % id 2632: TLM7_FswExErrStatReg15 (Invld Module ID)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.att.telemetry_point_id = '2632';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.att.mnemonic = 'TLM7_FswExErrStatReg15 (Invld Module ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.att.start_bit = '361';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.att.description = 'FSW Exc. Error Status Reg. 15(Invalid Module ID)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID.dim = {'hk7_packet'};

    % id 2633: TLM7_FswExErrStatReg15 (Config Data Ptr Null Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.telemetry_point_id = '2633';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (Config Data Ptr Null Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.start_bit = '362';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.att.description = 'FSW Exc. Error Status Reg. 15(Configuration Data Pointer Null Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err.dim = {'hk7_packet'};

    % id 2634: TLM7_FswExErrStatReg15 (Rcv Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.telemetry_point_id = '2634';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM7_FswExErrStatReg15 (Rcv Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.start_bit = '363';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 15(Receive Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case.dim = {'hk7_packet'};

    % id 2635: TLM7_FswExErrStatReg15 (Trans Unknown ID-Deflt Case)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.telemetry_point_id = '2635';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.mnemonic = 'TLM7_FswExErrStatReg15 (Trans Unknown ID-Deflt Case)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.start_bit = '364';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.att.description = 'FSW Exc. Error Status Reg. 15(Transmit Unknown ID - Default Case Reached)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case.dim = {'hk7_packet'};

    % id 2636: TLM7_FswExErrStatReg15 (MQ Rcv Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.att.telemetry_point_id = '2636';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (MQ Rcv Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.att.start_bit = '365';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.att.description = 'FSW Exc. Error Status Reg. 15(Message Queue Receive Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err.dim = {'hk7_packet'};

    % id 2637: TLM7_FswExErrStatReg15 (MQ Snd Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.att.telemetry_point_id = '2637';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (MQ Snd Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.att.start_bit = '366';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.att.description = 'FSW Exc. Error Status Reg. 15(Message Queue Send Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err.dim = {'hk7_packet'};

    % id 2638: TLM7_FswExErrStatReg15 (OS Func Call Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.att.telemetry_point_id = '2638';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.att.mnemonic = 'TLM7_FswExErrStatReg15 (OS Func Call Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.att.start_bit = '367';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.att.description = 'FSW Exc. Error Status Reg. 15(Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err.dim = {'hk7_packet'};

    % id 2639: TLM7_FswExErrStatReg16 (Taps Q Coef MisMatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.telemetry_point_id = '2639';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.mnemonic = 'TLM7_FswExErrStatReg16 (Taps Q Coef MisMatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.start_bit = '368';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 16(Taps Q Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch.dim = {'hk7_packet'};

    % id 2640: TLM7_FswExErrStatReg16 (Taps I Coef MisMatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.telemetry_point_id = '2640';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.mnemonic = 'TLM7_FswExErrStatReg16 (Taps I Coef MisMatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.start_bit = '369';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.att.description = 'FSW Exc. Error Status Reg. 16(Taps I Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch.dim = {'hk7_packet'};

    % id 2641: TLM7_FswExErrStatReg16 (Coef Dat Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.att.telemetry_point_id = '2641';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (Coef Dat Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.att.start_bit = '370';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.att.description = 'FSW Exc. Error Status Reg. 16(Coefficient Data Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err.dim = {'hk7_packet'};

    % id 2642: TLM7_FswExErrStatReg16 (Config Dat Err - 4 min)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.att.telemetry_point_id = '2642';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.att.mnemonic = 'TLM7_FswExErrStatReg16 (Config Dat Err - 4 min)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.att.start_bit = '371';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.att.description = 'FSW Exc. Error Status Reg. 16(Configuration Data Error - 4 Minute)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min.dim = {'hk7_packet'};

    % id 2643: TLM7_FswExErrStatReg16 (Config Dat Err - 8 sec)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.att.telemetry_point_id = '2643';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.att.mnemonic = 'TLM7_FswExErrStatReg16 (Config Dat Err - 8 sec)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.att.start_bit = '372';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.att.description = 'FSW Exc. Error Status Reg. 16(Configuration Data Error - 8 Second)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec.dim = {'hk7_packet'};

    % id 2644: TLM7_FswExErrStatReg16 (Persistant Tbl Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.att.telemetry_point_id = '2644';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (Persistant Tbl Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.att.start_bit = '373';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.att.description = 'FSW Exc. Error Status Reg. 16(Persistent Table Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err.dim = {'hk7_packet'};

    % id 2645: TLM7_FswExErrStatReg16 (Setup Data Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.att.telemetry_point_id = '2645';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (Setup Data Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.att.start_bit = '374';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.att.description = 'FSW Exc. Error Status Reg. 16(Setup Data Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err.dim = {'hk7_packet'};

    % id 2646: TLM7_FswExErrStatReg16 (Invld Num Coef Entries)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.att.telemetry_point_id = '2646';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.att.mnemonic = 'TLM7_FswExErrStatReg16 (Invld Num Coef Entries)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.att.start_bit = '375';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.att.description = 'FSW Exc. Error Status Reg. 16(Invalid Number of Coefficient Entries)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries.dim = {'hk7_packet'};

    % id 2647: TLM7_FswExErrStatReg16 (Filter Offset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.att.telemetry_point_id = '2647';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (Filter Offset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.att.start_bit = '376';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.att.description = 'FSW Exc. Error Status Reg. 16(Filter Offset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err.dim = {'hk7_packet'};

    % id 2648: TLM7_FswExErrStatReg16 (Run Samples > Total Samples)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.att.telemetry_point_id = '2648';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.att.mnemonic = 'TLM7_FswExErrStatReg16 (Run Samples > Total Samples)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.att.start_bit = '377';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.att.description = 'FSW Exc. Error Status Reg. 16(Run Samples > Total Samples)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples.dim = {'hk7_packet'};

    % id 2649: TLM7_FswExErrStatReg16 (Bit Trim Tbl Start/Stop Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.telemetry_point_id = '2649';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (Bit Trim Tbl Start/Stop Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.start_bit = '378';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.att.description = 'FSW Exc. Error Status Reg. 16(Bit Trim Table Start/Stop Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err.dim = {'hk7_packet'};

    % id 2650: TLM7_FswExErrStatReg16 (Coef Mismatch)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.att.telemetry_point_id = '2650';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.att.mnemonic = 'TLM7_FswExErrStatReg16 (Coef Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.att.start_bit = '379';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.att.description = 'FSW Exc. Error Status Reg. 16(Coefficient Mismatch)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch.dim = {'hk7_packet'};

    % id 2651: TLM7_FswExErrStatReg16 (Mem Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.att.telemetry_point_id = '2651';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (Mem Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.att.start_bit = '380';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.att.description = 'FSW Exc. Error Status Reg. 16(Memory Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Mem_Err.dim = {'hk7_packet'};

    % id 2652: TLM7_FswExErrStatReg16 (PCI Retry Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.att.telemetry_point_id = '2652';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.att.mnemonic = 'TLM7_FswExErrStatReg16 (PCI Retry Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.att.start_bit = '381';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.att.description = 'FSW Exc. Error Status Reg. 16(PCI Retry Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err.dim = {'hk7_packet'};

    % id 2653: TLM7_FswExErrStatReg16 (Sig Proc in Rst)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.att.telemetry_point_id = '2653';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.att.mnemonic = 'TLM7_FswExErrStatReg16 (Sig Proc in Rst)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.att.start_bit = '382';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.att.description = 'FSW Exc. Error Status Reg. 16(Signal Processor Is In Reset)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst.dim = {'hk7_packet'};

    % id 2654: TLM7_FswExErrStatReg16 (SSM Scn Pos Missing Err/Invld)
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.telemetry_point_id = '2654';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.mnemonic = 'TLM7_FswExErrStatReg16 (SSM Scn Pos Missing Err/Invld)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.start_bit = '383';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.att.description = 'FSW Exc. Error Status Reg. 16(SSM Scan Position Missing Error or Invalid)';
    g_metadata.packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld.dim = {'hk7_packet'};

    % id 2655: TLM7_FswExErrStatReg17 (Wake Up Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.att.telemetry_point_id = '2655';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (Wake Up Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.att.start_bit = '384';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.att.description = 'FSW Exc. Error Status Reg. 17(Wake Up Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err.dim = {'hk7_packet'};

    % id 2656: TLM7_FswExErrStatReg17 (DMA Addr Write Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.att.telemetry_point_id = '2656';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (DMA Addr Write Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.att.start_bit = '385';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.att.description = 'FSW Exc. Error Status Reg. 17(DMA Address Write Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err.dim = {'hk7_packet'};

    % id 2657: TLM7_FswExErrStatReg17 (Mem dmp Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.att.telemetry_point_id = '2657';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (Mem dmp Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.att.start_bit = '386';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.att.description = 'FSW Exc. Error Status Reg. 17(Memory Dump Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err.dim = {'hk7_packet'};

    % id 2658: TLM7_FswExErrStatReg17 (LRD Num FOVs ERR)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.telemetry_point_id = '2658';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.mnemonic = 'TLM7_FswExErrStatReg17 (LRD Num FOVs ERR)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.start_bit = '387';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data Number of FOVs Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR.dim = {'hk7_packet'};

    % id 2659: TLM7_FswExErrStatReg17 (LRD FOV Val Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.att.telemetry_point_id = '2659';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (LRD FOV Val Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.att.start_bit = '388';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data FOV Value Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err.dim = {'hk7_packet'};

    % id 2660: TLM7_FswExErrStatReg17 (LRD Mode Sel Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.att.telemetry_point_id = '2660';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (LRD Mode Sel Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.att.start_bit = '389';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data Mode Select Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err.dim = {'hk7_packet'};

    % id 2661: TLM7_FswExErrStatReg17 (LRD FOV Repeat Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.telemetry_point_id = '2661';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (LRD FOV Repeat Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.start_bit = '390';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.att.description = 'FSW Exc. Error Status Reg. 17(Low Rate Data FOV Repeated Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err.dim = {'hk7_packet'};

    % id 2662: TLM7_FswExErrStatReg17 (Fltrd Dec Sample Cnt Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.telemetry_point_id = '2662';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (Fltrd Dec Sample Cnt Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.start_bit = '391';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.att.description = 'FSW Exc. Error Status Reg. 17(Filtered Decimated Sample Count Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err.dim = {'hk7_packet'};

    % id 2663: TLM7_FswExErrStatReg17 (FOR Upset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.att.telemetry_point_id = '2663';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (FOR Upset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.att.start_bit = '392';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 17(Field of Regard Upset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err.dim = {'hk7_packet'};

    % id 2664: TLM7_FswExErrStatReg17 (SEFI Upset Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.att.telemetry_point_id = '2664';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (SEFI Upset Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.att.start_bit = '393';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.att.description = 'FSW Exc. Error Status Reg. 17(Single Event Function Interrupt Upset Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err.dim = {'hk7_packet'};

    % id 2665: TLM7_FswExErrStatReg17 (PCI Retry Count Too Big Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.telemetry_point_id = '2665';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (PCI Retry Count Too Big Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.start_bit = '394';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.att.description = 'FSW Exc. Error Status Reg. 17(PCI Retry Count Too Big Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err.dim = {'hk7_packet'};

    % id 2666: TLM7_FswExErrStatReg17 (PCI Config Read Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.att.telemetry_point_id = '2666';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (PCI Config Read Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.att.start_bit = '395';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.att.description = 'FSW Exc. Error Status Reg. 17(PCI Configuration Read Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err.dim = {'hk7_packet'};

    % id 2667: TLM7_FswExErrStatReg17 (Dev Not Found)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.att.telemetry_point_id = '2667';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.att.mnemonic = 'TLM7_FswExErrStatReg17 (Dev Not Found)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.att.start_bit = '396';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.att.description = 'FSW Exc. Error Status Reg. 17(Device Not Found)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found.dim = {'hk7_packet'};

    % id 2668: TLM7_FswExErrStatReg17 (Invalid Param)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.att.telemetry_point_id = '2668';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.att.mnemonic = 'TLM7_FswExErrStatReg17 (Invalid Param)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.att.start_bit = '397';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.att.description = 'FSW Exc. Error Status Reg. 17(Invalid Param)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Invalid_Param.dim = {'hk7_packet'};

    % id 2669: TLM7_FswExErrStatReg17 (Taps per Int Err)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.att.telemetry_point_id = '2669';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.att.mnemonic = 'TLM7_FswExErrStatReg17 (Taps per Int Err)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.att.start_bit = '398';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.att.description = 'FSW Exc. Error Status Reg. 17(Taps per Interval Error)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err.dim = {'hk7_packet'};

    % id 2670: TLM7_FswExErrStatReg17 (Spare2)
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.att.telemetry_point_id = '2670';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.att.mnemonic = 'TLM7_FswExErrStatReg17 (Spare2)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.att.start_bit = '399';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.att.description = 'FSW Exc. Error Status Reg. 17(Spare)';
    g_metadata.packets.instr_hk7.FswExErrStatReg17_Spare2.dim = {'hk7_packet'};

    % id 2671: TLM7_FW StatReg1(Bus Identifier)
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.att.telemetry_point_id = '2671';
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.att.mnemonic = 'TLM7_FW StatReg1(Bus Identifier)';
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.att.start_bit = '400';
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.att.description = 'Firewire Status Reg. 1(Bus Identifier - Which bus data was gathered from)';
    g_metadata.packets.instr_hk7.FW_StatReg1_Bus_Identifier.dim = {'hk7_packet'};

    % id 2672: TLM7_FW StatReg1(Fw_llc_fifo_underrun_count)
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.att.telemetry_point_id = '2672';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.att.mnemonic = 'TLM7_FW StatReg1(Fw_llc_fifo_underrun_count)';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.att.start_bit = '401';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.att.num_bits = '7';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.att.description = 'Firewire Status Reg. 1(Firewire Link Layer Chip FIFO Underrun Count)';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count.dim = {'hk7_packet'};

    % id 2673: TLM7_FW StatReg1(Fw_llc_fifo_overrun_count)
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.att.telemetry_point_id = '2673';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.att.mnemonic = 'TLM7_FW StatReg1(Fw_llc_fifo_overrun_count)';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.att.start_bit = '408';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.att.description = 'Firewire Status Reg. 1(Firewire Link Layer Chip FIFO Overrun Count)';
    g_metadata.packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count.dim = {'hk7_packet'};

    % id 2674: TLM7_FW StatReg2(Fw_llc_data_write_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.att.telemetry_point_id = '2674';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.att.mnemonic = 'TLM7_FW StatReg2(Fw_llc_data_write_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.att.start_bit = '416';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.att.description = 'Firewire Status Reg. 2(Firewire Link Layer Chip Data Write Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count.dim = {'hk7_packet'};

    % id 2675: TLM7_FW StatReg2(Fw_llc_data_read_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.att.telemetry_point_id = '2675';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.att.mnemonic = 'TLM7_FW StatReg2(Fw_llc_data_read_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.att.start_bit = '424';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.att.description = 'Firewire Status Reg. 2(Firewire Link Layer Chip Data Read Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count.dim = {'hk7_packet'};

    % id 2676: TLM7_FW StatReg3(Fw_desc_block_read_fail_count)
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.att.telemetry_point_id = '2676';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.att.mnemonic = 'TLM7_FW StatReg3(Fw_desc_block_read_fail_count)';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.att.start_bit = '432';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.att.description = 'Firewire Status Reg. 3(Firewire Description Block Read Fail Count)';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count.dim = {'hk7_packet'};

    % id 2677: TLM7_FW StatReg3(Fw_1394_bus_reset_count)
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.att.telemetry_point_id = '2677';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.att.mnemonic = 'TLM7_FW StatReg3(Fw_1394_bus_reset_count)';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.att.start_bit = '440';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.att.description = 'Firewire Status Reg. 3(Firewire 1394 Bus Reset Count)';
    g_metadata.packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count.dim = {'hk7_packet'};

    % id 2678: TLM7_FW StatReg4(Fw_missing_ack_count)
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.att.telemetry_point_id = '2678';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.att.mnemonic = 'TLM7_FW StatReg4(Fw_missing_ack_count)';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.att.start_bit = '448';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.att.description = 'Firewire Status Reg. 4(Firewire Missing Ack Count)';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count.dim = {'hk7_packet'};

    % id 2679: TLM7_FW StatReg4(Fw_ohci_event_long_pkt_count)
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.telemetry_point_id = '2679';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.mnemonic = 'TLM7_FW StatReg4(Fw_ohci_event_long_pkt_count)';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.start_bit = '456';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.att.description = 'Firewire Status Reg. 4(Firewire Open Host Ctrl I/F Event Long Packet Count)';
    g_metadata.packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count.dim = {'hk7_packet'};

    % id 2680: TLM7_FW StatReg5(Fw_ohci_event_unknown_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.telemetry_point_id = '2680';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.mnemonic = 'TLM7_FW StatReg5(Fw_ohci_event_unknown_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.start_bit = '464';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.att.description = 'Firewire Status Reg. 5(Firewire Open Host Ctrl I/F Event Unknown Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count.dim = {'hk7_packet'};

    % id 2681: TLM7_FW StatReg5(Fw_ohci_event_flushed_pkt_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.telemetry_point_id = '2681';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.mnemonic = 'TLM7_FW StatReg5(Fw_ohci_event_flushed_pkt_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.start_bit = '472';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.att.description = 'Firewire Status Reg. 5(Firewire Open Host Ctrl I/F Event Flushed Packet Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count.dim = {'hk7_packet'};

    % id 2682: TLM7_FW StatReg6(Fw_ack_busy_x_count)
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.att.telemetry_point_id = '2682';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.att.mnemonic = 'TLM7_FW StatReg6(Fw_ack_busy_x_count)';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.att.start_bit = '480';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.att.description = 'Firewire Status Reg. 6(Firewire Ack Busy x Count)';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count.dim = {'hk7_packet'};

    % id 2683: TLM7_FW StatReg6(Fw_ack_data_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.att.telemetry_point_id = '2683';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.att.mnemonic = 'TLM7_FW StatReg6(Fw_ack_data_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.att.start_bit = '488';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.att.description = 'Firewire Status Reg. 6(Firewire Ack Data Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count.dim = {'hk7_packet'};

    % id 2684: TLM7_FW StatReg7(Fw_ack_type_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.att.telemetry_point_id = '2684';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.att.mnemonic = 'TLM7_FW StatReg7(Fw_ack_type_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.att.start_bit = '496';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.att.description = 'Firewire Status Reg. 7(Firewire Ack Type Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count.dim = {'hk7_packet'};

    % id 2685: TLM7_FW StatReg7(Fw_self_id_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.att.telemetry_point_id = '2685';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.att.mnemonic = 'TLM7_FW StatReg7(Fw_self_id_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.att.start_bit = '504';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.att.description = 'Firewire Status Reg. 7(Firewire Self ID Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count.dim = {'hk7_packet'};

    % id 2686: TLM7_FW StatReg8(Fw_max_arb_state_timeout_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.telemetry_point_id = '2686';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.mnemonic = 'TLM7_FW StatReg8(Fw_max_arb_state_timeout_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.start_bit = '512';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.att.description = 'Firewire Status Reg. 8(Firewire Max Arbitrary State Timeout Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count.dim = {'hk7_packet'};

    % id 2687: TLM7_FW StatReg8(Fw_phy_read_access_fail_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.telemetry_point_id = '2687';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.mnemonic = 'TLM7_FW StatReg8(Fw_phy_read_access_fail_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.start_bit = '520';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.att.description = 'Firewire Status Reg. 8(Firewire Physical Read Access Fail Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count.dim = {'hk7_packet'};

    % id 2688: TLM7_FW StatReg9(Fw_num_err_ip_pkts_rx_count)
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.telemetry_point_id = '2688';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.mnemonic = 'TLM7_FW StatReg9(Fw_num_err_ip_pkts_rx_count)';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.start_bit = '528';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.att.description = 'Firewire Status Reg. 9(Firewire Number Error IP Packets Receive Count)';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count.dim = {'hk7_packet'};

    % id 2689: TLM7_FW StatReg9(Fw_ip_1394_rx_frag_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.telemetry_point_id = '2689';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.mnemonic = 'TLM7_FW StatReg9(Fw_ip_1394_rx_frag_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.start_bit = '536';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.att.description = 'Firewire Status Reg. 9(Firewire IP 1394 Receive Fragment Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count.dim = {'hk7_packet'};

    % id 2690: TLM7_FW StatReg10(Fw_num_error_ip_pkts_tx_count)
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.telemetry_point_id = '2690';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.mnemonic = 'TLM7_FW StatReg10(Fw_num_error_ip_pkts_tx_count)';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.start_bit = '544';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.att.description = 'Firewire Status Reg. 10(Firewire Number Error IP Packets Transmit Count)';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count.dim = {'hk7_packet'};

    % id 2691: TLM7_FW StatReg10(Fw_ip_1394_tx_frag_error_count)
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.telemetry_point_id = '2691';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.mnemonic = 'TLM7_FW StatReg10(Fw_ip_1394_tx_frag_error_count)';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.start_bit = '552';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.att.description = 'Firewire Status Reg. 10(Firewire IP 1394 Transmit Fragment Error Count)';
    g_metadata.packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count.dim = {'hk7_packet'};

    % id 15698: TLM7_FW StatReg11(fw_boot_EEPROM_image_executing)
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.att.telemetry_point_id = '15698';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.att.mnemonic = 'TLM7_FW StatReg11(fw_boot_EEPROM_image_executing)';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.att.start_bit = '560';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.att.description = 'Firewire Status Reg. 11(Boot EEPROM Image Executing)';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing.dim = {'hk7_packet'};

    % id 15699: TLM7_FW StatReg11(fw_thermal control_enabled)
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.att.telemetry_point_id = '15699';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.att.mnemonic = 'TLM7_FW StatReg11(fw_thermal control_enabled)';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.att.start_bit = '561';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.att.description = 'Firewire Status Reg. 11(Thermal Control Enabled)';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled.dim = {'hk7_packet'};

    % id 2693: TLM7_FW StatReg11(fw_invalid_cmds_rcvd)
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.att.telemetry_point_id = '2693';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.att.mnemonic = 'TLM7_FW StatReg11(fw_invalid_cmds_rcvd)';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.att.start_bit = '562';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.att.num_bits = '8';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.att.description = 'Firewire Status Reg. 11(FireWire Invalid Cmds Received)';
    g_metadata.packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd.dim = {'hk7_packet'};

    % id 2694: TLM7_FW StatReg11(Fw_active_bus)
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.att.telemetry_point_id = '2694';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.att.mnemonic = 'TLM7_FW StatReg11(Fw_active_bus)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.att.start_bit = '570';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.att.description = 'Firewire Status Reg. 11(Firewire Active Bus)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_active_bus.dim = {'hk7_packet'};

    % id 2695: TLM7_FW StatReg11(Fw_tod_missed_A)
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.att.telemetry_point_id = '2695';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.att.mnemonic = 'TLM7_FW StatReg11(Fw_tod_missed_A)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.att.start_bit = '571';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.att.description = 'Firewire Status Reg. 11(Firewire Time of Day Missed Bus A)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A.dim = {'hk7_packet'};

    % id 2696: TLM7_FW StatReg11(Fw_tod_missed_B)
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.att.telemetry_point_id = '2696';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.att.mnemonic = 'TLM7_FW StatReg11(Fw_tod_missed_B)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.att.start_bit = '572';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.att.description = 'Firewire Status Reg. 11(Firewire Time of Day Missed Bus B)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B.dim = {'hk7_packet'};

    % id 2697: TLM7_FW StatReg11(Fw_tod_missed_AB)
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.att.telemetry_point_id = '2697';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.att.mnemonic = 'TLM7_FW StatReg11(Fw_tod_missed_AB)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.att.start_bit = '573';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.att.description = 'Firewire Status Reg. 11(Firewire Time of Day Missed Bus AB)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB.dim = {'hk7_packet'};

    % id 2698: TLM7_FW StatReg11(Fw_fault_log_full)
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.att.telemetry_point_id = '2698';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.att.mnemonic = 'TLM7_FW StatReg11(Fw_fault_log_full)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.att.start_bit = '574';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.att.description = 'Firewire Status Reg. 11(Firewire Fault Log Full)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_full.dim = {'hk7_packet'};

    % id 2699: TLM7_FW StatReg11(Fw_fault_log_not_empty)
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.att.telemetry_point_id = '2699';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.att.mnemonic = 'TLM7_FW StatReg11(Fw_fault_log_not_empty)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.att.start_bit = '575';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.att.description = 'Firewire Status Reg. 11(Firewire Fault Log Not Empty)';
    g_metadata.packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty.dim = {'hk7_packet'};

    % id 2700: TLM7_FW StatReg12(Fw_tfioctl_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.att.telemetry_point_id = '2700';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_tfioctl_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.att.start_bit = '576';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.att.description = 'Firewire Status Reg. 12(Firewire tfioctl Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error.dim = {'hk7_packet'};

    % id 2701: TLM7_FW StatReg12(Fw_invalid_tx_socket_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.att.telemetry_point_id = '2701';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_invalid_tx_socket_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.att.start_bit = '577';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.att.description = 'Firewire Status Reg. 12(Firewire Invalid Transmit Socket Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error.dim = {'hk7_packet'};

    % id 2702: TLM7_FW StatReg12(Fw_dbuf_alloc_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.att.telemetry_point_id = '2702';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_dbuf_alloc_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.att.start_bit = '578';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Allocation Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error.dim = {'hk7_packet'};

    % id 2703: TLM7_FW StatReg12(Fw_default_case_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.att.telemetry_point_id = '2703';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_default_case_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.att.start_bit = '579';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.att.description = 'Firewire Status Reg. 12(Firewire Default Case Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_default_case_error.dim = {'hk7_packet'};

    % id 2704: TLM7_FW StatReg12(Fw_invalid_param_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.att.telemetry_point_id = '2704';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_invalid_param_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.att.start_bit = '580';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.att.description = 'Firewire Status Reg. 12(Firewire Invalid Parameter Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error.dim = {'hk7_packet'};

    % id 2705: TLM7_FW StatReg12(Fw_dbuf_create_named_pool_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.telemetry_point_id = '2705';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_dbuf_create_named_pool_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.start_bit = '581';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Create Named Pool Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error.dim = {'hk7_packet'};

    % id 2706: TLM7_FW StatReg12(Fw_close_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.att.telemetry_point_id = '2706';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_close_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.att.start_bit = '582';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.att.description = 'Firewire Status Reg. 12(Firewire Close Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_close_error.dim = {'hk7_packet'};

    % id 2707: TLM7_FW StatReg12(Fw_bind_fail)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.att.telemetry_point_id = '2707';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.att.mnemonic = 'TLM7_FW StatReg12(Fw_bind_fail)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.att.start_bit = '583';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.att.description = 'Firewire Status Reg. 12(Firewire Bind Fail)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_bind_fail.dim = {'hk7_packet'};

    % id 2708: TLM7_FW StatReg12(Fw_set_sock_opt_reuse_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.telemetry_point_id = '2708';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_set_sock_opt_reuse_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.start_bit = '584';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.att.description = 'Firewire Status Reg. 12(Firewire Set Socket Option Reuse Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error.dim = {'hk7_packet'};

    % id 2709: TLM7_FW StatReg12(Fw_socket_fail)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.att.telemetry_point_id = '2709';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.att.mnemonic = 'TLM7_FW StatReg12(Fw_socket_fail)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.att.start_bit = '585';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.att.description = 'Firewire Status Reg. 12(Firewire Socket Fail)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_socket_fail.dim = {'hk7_packet'};

    % id 2710: TLM7_FW StatReg12(Fw_zero_copy_send_to_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.att.telemetry_point_id = '2710';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_zero_copy_send_to_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.att.start_bit = '586';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.att.description = 'Firewire Status Reg. 12(Firewire Zero Copy Send to Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error.dim = {'hk7_packet'};

    % id 2711: TLM7_FW StatReg12(Fw_dbuf_set_data_ptr_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.telemetry_point_id = '2711';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_dbuf_set_data_ptr_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.start_bit = '587';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Set Data pointer Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error.dim = {'hk7_packet'};

    % id 2712: TLM7_FW StatReg12(Fw_dbuf_pool_invalid)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.att.telemetry_point_id = '2712';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.att.mnemonic = 'TLM7_FW StatReg12(Fw_dbuf_pool_invalid)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.att.start_bit = '588';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Pool Invalid)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid.dim = {'hk7_packet'};

    % id 2713: TLM7_FW StatReg12(Fw_dbuf_copy_data_from_buf_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.telemetry_point_id = '2713';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_dbuf_copy_data_from_buf_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.start_bit = '589';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.att.description = 'Firewire Status Reg. 12(Firewire Dynamic Buffer Copy Data from Buffer Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error.dim = {'hk7_packet'};

    % id 2714: TLM7_FW StatReg12(Fw_zero_copy_recv_from_error)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.att.telemetry_point_id = '2714';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.att.mnemonic = 'TLM7_FW StatReg12(Fw_zero_copy_recv_from_error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.att.start_bit = '590';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.att.description = 'Firewire Status Reg. 12(Firewire Zero Copy Received from Error)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error.dim = {'hk7_packet'};

    % id 2715: TLM7_FW StatReg12(Fw_select_fail)
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.att.telemetry_point_id = '2715';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.att.mnemonic = 'TLM7_FW StatReg12(Fw_select_fail)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.att.start_bit = '591';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.att.description = 'Firewire Status Reg. 12(Firewire Select Fail)';
    g_metadata.packets.instr_hk7.FW_StatReg12_Fw_select_fail.dim = {'hk7_packet'};

    % id 15750: TLM7_FW StatReg13(Test Packet)
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.att.telemetry_point_id = '15750';
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.att.mnemonic = 'TLM7_FW StatReg13(Test Packet)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.att.start_bit = '592';
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.att.description = 'Firewire Status Reg. 13(Test Packet)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Test_Packet.dim = {'hk7_packet'};

    % id 15751: TLM7_FW StatReg13(Online BIT)
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.att.telemetry_point_id = '15751';
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.att.mnemonic = 'TLM7_FW StatReg13(Online BIT)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.att.start_bit = '593';
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.att.description = 'Firewire Status Reg. 13(Online BIT)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Online_BIT.dim = {'hk7_packet'};

    % id 15752: TLM7_FW StatReg13(Low Rate Data Algorithm)
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.att.telemetry_point_id = '15752';
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.att.mnemonic = 'TLM7_FW StatReg13(Low Rate Data Algorithm)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.att.start_bit = '594';
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.att.num_bits = '2';
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.att.description = 'Firewire Status Reg. 13(Low Rate Data Algorithm)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm.dim = {'hk7_packet'};

    % id 15753: TLM7_FW StatReg13(ZPD Algorithm)
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.att.telemetry_point_id = '15753';
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.att.mnemonic = 'TLM7_FW StatReg13(ZPD Algorithm)';
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.att.start_bit = '596';
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.att.description = 'Firewire Status Reg. 13(ZPD Algorithm)';
    g_metadata.packets.instr_hk7.FW_StatReg13_ZPD_Algorithm.dim = {'hk7_packet'};

    % id 15754: TLM7_FW StatReg13(Auto Neon Calibration)
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.att.telemetry_point_id = '15754';
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.att.mnemonic = 'TLM7_FW StatReg13(Auto Neon Calibration)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.att.start_bit = '597';
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.att.description = 'Firewire Status Reg. 13(Auto Neon Calibration)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration.dim = {'hk7_packet'};

    % id 15755: TLM7_FW StatReg13(TOD Loss Bus AB Cntr)
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.telemetry_point_id = '15755';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.mnemonic = 'TLM7_FW StatReg13(TOD Loss Bus AB Cntr)';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.start_bit = '598';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.att.description = 'Firewire Status Reg. 13(TOD Loss Bus AB Cntr)';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr.dim = {'hk7_packet'};

    % id 15756: TLM7_FW StatReg13(TOD Loss Bus B Cntr)
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.telemetry_point_id = '15756';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.mnemonic = 'TLM7_FW StatReg13(TOD Loss Bus B Cntr)';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.start_bit = '599';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.att.description = 'Firewire Status Reg. 13(TOD Loss Bus B Cntr)';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr.dim = {'hk7_packet'};

    % id 15757: TLM7_FW StatReg13(TOD Loss Bus A Cntr)
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.telemetry_point_id = '15757';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.mnemonic = 'TLM7_FW StatReg13(TOD Loss Bus A Cntr)';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.start_bit = '600';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.att.description = 'Firewire Status Reg. 13(TOD Loss Bus A Cntr)';
    g_metadata.packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr.dim = {'hk7_packet'};

    % id 2717: TLM7_FW StatReg13(Fw_invalid_rx_socket_error)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.att.telemetry_point_id = '2717';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.att.mnemonic = 'TLM7_FW StatReg13(Fw_invalid_rx_socket_error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.att.start_bit = '601';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.att.description = 'Firewire Status Reg. 13(Firewire Invalid Receive Socket Error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error.dim = {'hk7_packet'};

    % id 2718: TLM7_FW StatReg13(Fw_os_func_call_err)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.att.telemetry_point_id = '2718';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.att.mnemonic = 'TLM7_FW StatReg13(Fw_os_func_call_err)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.att.start_bit = '602';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.att.description = 'Firewire Status Reg. 13(Firewire Operating System Function Call Error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err.dim = {'hk7_packet'};

    % id 2719: TLM7_FW StatReg13(Fw_set_sockopt_buf_error)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.att.telemetry_point_id = '2719';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.att.mnemonic = 'TLM7_FW StatReg13(Fw_set_sockopt_buf_error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.att.start_bit = '603';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.att.description = 'Firewire Status Reg. 13(Firewire Set Socket Option buffer Error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error.dim = {'hk7_packet'};

    % id 2720: TLM7_FW StatReg13(Fw_ip_lla_reinit_error)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.att.telemetry_point_id = '2720';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.att.mnemonic = 'TLM7_FW StatReg13(Fw_ip_lla_reinit_error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.att.start_bit = '604';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.att.description = 'Firewire Status Reg. 13(Firewire IP Low Level API Reinitialization Error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error.dim = {'hk7_packet'};

    % id 2721: TLM7_FW StatReg13(Fw_invalid_bus)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.att.telemetry_point_id = '2721';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.att.mnemonic = 'TLM7_FW StatReg13(Fw_invalid_bus)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.att.start_bit = '605';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.att.description = 'Firewire Status Reg. 13(Firewire Invalid Bus)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_invalid_bus.dim = {'hk7_packet'};

    % id 2722: TLM7_FW StatReg13(Fw_lla_getstats_error)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.att.telemetry_point_id = '2722';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.att.mnemonic = 'TLM7_FW StatReg13(Fw_lla_getstats_error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.att.start_bit = '606';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.att.description = 'Firewire Status Reg. 13(Firewire Low Level API getstats Error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error.dim = {'hk7_packet'};

    % id 2723: TLM7_FW StatReg13(Fw_ip1394_getstats_error)
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.att.telemetry_point_id = '2723';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.att.mnemonic = 'TLM7_FW StatReg13(Fw_ip1394_getstats_error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.att.start_bit = '607';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.att.num_bits = '1';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.att.description = 'Firewire Status Reg. 13(Firewire IP 1394 getstats Error)';
    g_metadata.packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error.dim = {'hk7_packet'};

    % id 2724: TLM7_Telem_command_success_count MSW
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.att.telemetry_point_id = '2724';
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.att.mnemonic = 'TLM7_Telem_command_success_count MSW';
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.att.start_bit = '608';
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.att.num_bits = '16';
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.att.description = 'Tlm Cmd Success Count MSW';
    g_metadata.packets.instr_hk7.Telem_command_success_count_MSW.dim = {'hk7_packet'};

    % id 2725: TLM7_Telem_command_success_count LSW
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.att.telemetry_point_id = '2725';
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.att.mnemonic = 'TLM7_Telem_command_success_count LSW';
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.att.start_bit = '624';
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.att.num_bits = '16';
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.att.description = 'Tlm Cmd Success Count LSW';
    g_metadata.packets.instr_hk7.Telem_command_success_count_LSW.dim = {'hk7_packet'};

    % id 2726: TLM7_IfmStatFlg (spare1)
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.att.telemetry_point_id = '2726';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.att.mnemonic = 'TLM7_IfmStatFlg (spare1)';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.att.start_bit = '640';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.att.num_bits = '5';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.att.description = 'IFM Status Flag(Spare)';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare1.dim = {'hk7_packet'};

    % id 2727: TLM7_IfmStatFlg (Infererom Mode Stat)
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.att.telemetry_point_id = '2727';
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.att.mnemonic = 'TLM7_IfmStatFlg (Infererom Mode Stat)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.att.start_bit = '645';
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.att.num_bits = '2';
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.att.description = 'IFM Status Flag(Interferometer Mode Status)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat.dim = {'hk7_packet'};

    % id 2728: TLM7_IfmStatFlg (spare2)
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.att.telemetry_point_id = '2728';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.att.mnemonic = 'TLM7_IfmStatFlg (spare2)';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.att.start_bit = '647';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.att.description = 'IFM Status Flag(Spare)';
    g_metadata.packets.instr_hk7.IfmStatFlg_spare2.dim = {'hk7_packet'};

    % id 2729: TLM7_IfmStatFlg (Porchswing Sweep Dir)
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.att.telemetry_point_id = '2729';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.att.mnemonic = 'TLM7_IfmStatFlg (Porchswing Sweep Dir)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.att.start_bit = '648';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.att.description = 'IFM Status Flag(Porchswing Sweep Direction)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir.dim = {'hk7_packet'};

    % id 2730: TLM7_IfmStatFlg (Porchswing Sweep Lck)
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.att.telemetry_point_id = '2730';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.att.mnemonic = 'TLM7_IfmStatFlg (Porchswing Sweep Lck)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.att.start_bit = '649';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.att.description = 'IFM Status Flag(Porchswing Sweep Locked)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck.dim = {'hk7_packet'};

    % id 2731: TLM7_IfmStatFlg (Loss PCE Frame Sync Pulse Stat)
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.telemetry_point_id = '2731';
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.mnemonic = 'TLM7_IfmStatFlg (Loss PCE Frame Sync Pulse Stat)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.start_bit = '650';
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.att.description = 'IFM Status Flag(Loss of PCE Frame Sync Pulse Status)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat.dim = {'hk7_packet'};

    % id 2732: TLM7_IfmStatFlg (Porchswing MPD+ Switch Stat)
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.telemetry_point_id = '2732';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.mnemonic = 'TLM7_IfmStatFlg (Porchswing MPD+ Switch Stat)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.start_bit = '651';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.att.description = 'IFM Status Flag(Porchswing Mean Path Differential Switch Status)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat.dim = {'hk7_packet'};

    % id 2733: TLM7_IfmStatFlg (Porchswing ZPD Switch Stat)
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.telemetry_point_id = '2733';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.mnemonic = 'TLM7_IfmStatFlg (Porchswing ZPD Switch Stat)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.start_bit = '652';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.att.description = 'IFM Status Flag(Porchswing Zero Path Differential Switch Status)';
    g_metadata.packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat.dim = {'hk7_packet'};

    % id 2734: TLM7_IfmStatFlg (DA Servo Status)
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.att.telemetry_point_id = '2734';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.att.mnemonic = 'TLM7_IfmStatFlg (DA Servo Status)';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.att.start_bit = '653';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.att.description = 'IFM Status Flag(DA Servo Status)';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Servo_Status.dim = {'hk7_packet'};

    % id 2735: TLM7_IfmStatFlg (DA - Y servo locked)
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.att.telemetry_point_id = '2735';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.att.mnemonic = 'TLM7_IfmStatFlg (DA - Y servo locked)';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.att.start_bit = '654';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.att.description = 'IFM Status Flag(DA-Y servo locked)';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked.dim = {'hk7_packet'};

    % id 2736: TLM7_IfmStatFlg (DA - X servo locked)
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.att.telemetry_point_id = '2736';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.att.mnemonic = 'TLM7_IfmStatFlg (DA - X servo locked)';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.att.start_bit = '655';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.att.num_bits = '1';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.att.description = 'IFMStatus Flag(DA-X servo locked)';
    g_metadata.packets.instr_hk7.IfmStatFlg_DA_X_servo_locked.dim = {'hk7_packet'};

    % id 2737: TLM7_SSMStatWrd (CT Over-Speed Trip)
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.att.telemetry_point_id = '2737';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.att.mnemonic = 'TLM7_SSMStatWrd (CT Over-Speed Trip)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.att.start_bit = '656';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.att.description = 'SSM Status Word(X-Track Over-speed Trip)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip.dim = {'hk7_packet'};

    % id 2738: TLM7_SSMStatWrd (Spare)
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.att.telemetry_point_id = '2738';
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.att.mnemonic = 'TLM7_SSMStatWrd (Spare)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.att.start_bit = '657';
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.att.description = 'SSM Status Word(Spare)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Spare.dim = {'hk7_packet'};

    % id 2739: TLM7_SSMStatWrd (Redundant Drv Relay Fault)
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.att.telemetry_point_id = '2739';
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.att.mnemonic = 'TLM7_SSMStatWrd (Redundant Drv Relay Fault)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.att.start_bit = '658';
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.att.description = 'SSM Status Word(Redundant Drive Relay Fault)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault.dim = {'hk7_packet'};

    % id 2740: TLM7_SSMStatWrd (Loss 8 Sec Sync Stat)
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.telemetry_point_id = '2740';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.mnemonic = 'TLM7_SSMStatWrd (Loss 8 Sec Sync Stat)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.start_bit = '659';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.att.description = 'SSM Status Word(Loss of 8 Sec Sync Status)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat.dim = {'hk7_packet'};

    % id 2741: TLM7_SSMStatWrd (IT Vel Compen Act/Idle)
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.telemetry_point_id = '2741';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.mnemonic = 'TLM7_SSMStatWrd (IT Vel Compen Act/Idle)';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.start_bit = '660';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.att.description = 'SSM Status Word(In-Track Velocity Compensation Active/Idle)';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle.dim = {'hk7_packet'};

    % id 2742: TLM7_SSMStatWrd (CT Axis Motor Winding Temp Go/NoGo)
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.telemetry_point_id = '2742';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.mnemonic = 'TLM7_SSMStatWrd (CT Axis Motor Winding Temp Go/NoGo)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.start_bit = '661';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.att.description = 'SSM Status Word(X-Track Axis Motor Winding Temp Go/No Go)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo.dim = {'hk7_packet'};

    % id 2743: TLM7_SSMStatWrd (IT Axis Motor Winding Temp Go/NoGo)
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.telemetry_point_id = '2743';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.mnemonic = 'TLM7_SSMStatWrd (IT Axis Motor Winding Temp Go/NoGo)';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.start_bit = '662';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.att.description = 'SSM Status Word(In-Track Axis Motor Winding Temp Go/No Go)';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo.dim = {'hk7_packet'};

    % id 2744: TLM7_SSMStatWrd (Primary PW Current Monitor Go/NoGo)
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.telemetry_point_id = '2744';
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.mnemonic = 'TLM7_SSMStatWrd (Primary PW Current Monitor Go/NoGo)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.start_bit = '663';
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.att.description = 'SSM Status Word(Primary Power Current Monitor Go/No Go Bit)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo.dim = {'hk7_packet'};

    % id 2745: TLM7_SSMStatWrd (SSm Mode Stat)
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.att.telemetry_point_id = '2745';
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.att.mnemonic = 'TLM7_SSMStatWrd (SSm Mode Stat)';
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.att.start_bit = '664';
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.att.num_bits = '2';
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.att.description = 'SSM Status Word(SSM Mode Status)';
    g_metadata.packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat.dim = {'hk7_packet'};

    % id 2746: TLM7_SSMStatWrd (Motion Compen Active/Idle)
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.att.telemetry_point_id = '2746';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.att.mnemonic = 'TLM7_SSMStatWrd (Motion Compen Active/Idle)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.att.start_bit = '666';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.att.description = 'SSM Status Word(Motion Compensation Active/Idle)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle.dim = {'hk7_packet'};

    % id 2747: TLM7_SSMStatWrd (CT Motor Drv OvLoad Trip)
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.telemetry_point_id = '2747';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.mnemonic = 'TLM7_SSMStatWrd (CT Motor Drv OvLoad Trip)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.start_bit = '667';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.att.description = 'SSM Status Word(X-Track Motor Drive Overload Trip)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip.dim = {'hk7_packet'};

    % id 2748: TLM7_SSMStatWrd (IT Motor Drv OvLoad Trip)
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.telemetry_point_id = '2748';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.mnemonic = 'TLM7_SSMStatWrd (IT Motor Drv OvLoad Trip)';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.start_bit = '668';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.att.description = 'SSM Status Word(In-Track Motor Drive Overload Trip)';
    g_metadata.packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip.dim = {'hk7_packet'};

    % id 2749: TLM7_SSMStatWrd (Loss 200ms Sync Stat)
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.att.telemetry_point_id = '2749';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.att.mnemonic = 'TLM7_SSMStatWrd (Loss 200ms Sync Stat)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.att.start_bit = '669';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.att.description = 'SSM Status Word(Loss of 200 mSec Sync Status)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat.dim = {'hk7_packet'};

    % id 2750: TLM7_SSMStatWrd (Motor Drives on/off)
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.att.telemetry_point_id = '2750';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.att.mnemonic = 'TLM7_SSMStatWrd (Motor Drives on/off)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.att.start_bit = '670';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.att.description = 'SSM Status Word(Motor Drives On/Off)';
    g_metadata.packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off.dim = {'hk7_packet'};

    % id 2751: TLM7_SSMStatWrd (CT Encoder Stat)
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.att.telemetry_point_id = '2751';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.att.mnemonic = 'TLM7_SSMStatWrd (CT Encoder Stat)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.att.start_bit = '671';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.att.data_type = 'unsigned';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.att.num_bits = '1';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.att.description = 'SSM Status Word(X-Track Encoder Status)';
    g_metadata.packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat.dim = {'hk7_packet'};

end     %if packet_idx == 1

% read packet
g_packets.instr_hk7.SubFrameCounter(packet_idx) = fread(fid, 1, '*ubit16');
g_packets.instr_hk7.PCEAppFswVer(packet_idx) = fread(fid, 1, '*ubit11');
g_packets.instr_hk7.InstrumentID(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk7.MMInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.MMInterStat_Mem_Partinal_Create_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_MQ_Create_Error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_MM_Free_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_MM_Alloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_MQ_Send_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_Two_Sec_Buff_Cap_Used(packet_idx) = fread(fid, 1, '*ubit4');
g_packets.instr_hk7.MMInterStat_Two_Sec_Buff_VF(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_CmdQueue_Empty(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.MMInterStat_CmdQueue_VF(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SCInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit4');
g_packets.instr_hk7.SCInterStat_VxWorks_watchdog_timer_failure(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SCInterStat_Firewire_bus_re_initialization(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SCInterStat_CmdPktCRCFailure(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SCInterStat_S_C_to_CrIS_Invalid_Unrecog_Cmd(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SCInterStat_S_C_to_CrIS_Cmd_ID_Rcv(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.SsmInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit4');
g_packets.instr_hk7.SsmInterStat_Diag_Mode_Setting(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SsmInterStat_SSM_Tele_Valid_Bit_Tele_OK(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SsmInterStat_Failed_SSm_Cmd_Wd_at_PCE_SSM_Inter(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.SsmInterStat_SSm_Tele_Cmd_Err_Cmd_not_Recog_by_SSM_PCE_tried_th(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SsmInterStat_SSM_Tele_Inter_Resp_Err_TO_on_Inter_after_PU_or_Rs(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmInterStat_Spare(packet_idx) = fread(fid, 1, '*ubit3');
g_packets.instr_hk7.IfmInterStat_Diag_Mode_Setting(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmInterStat_Possible_Porchswing_Sweep_Dir_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmInterStat_IFM_Tele_Valid_Bit_IFM_Tele_OK(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmInterStat_Failed_IFM_Wd_at_PCE_IFM_Inter(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.IfmInterStat_IFM_Tele_Cmd_Err_Cmd_not_Recog_by_IFM_PCE_tried_th(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmInterStat_IFM_Tele_Inter_Resp_Err_TO_on_Inter_After_PU_or_Rs(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Quiet_Converter_SP_Power_Side_Select_Pulsed_Command(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Cooler_Door_Cmds_Software_Acknowledgement(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_PCE_Side_Sel(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_SSM_Prime_PW_Relay(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Reserved(packet_idx) = fread(fid, 1, '*ubit3');
g_packets.instr_hk7.SenStatReg1_Quiet_Conv_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Spare(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.SenStatReg1_Signal_Proc_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Cooler_Door_28V_Actuator_PW_App(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_150V_Conv_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Therm_Neon_Ctrl_PCE_PS_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_HK_Mux_Enable_Disable(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg1_Inferferometer_on_off_PCE_PS_stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_HK_200ms_Sync_Enabled_Disabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Reserved1(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Sig_Proc_200ms_Sync_Enabled_Disabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Sig_Proc_8_Sec_Sync_Enabled_Disabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Sig_Proc_3_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Sig_Proc_2_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Sig_Proc_1_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_HK_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_FW_CCA_A_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_FW_CCA_B_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Reserved2(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.SenStatReg2_SCC2_DMA_Err_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_SCC1_DMA_Err_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Spur_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SenStatReg2_Aux_FPGA_Brdg_Invalid_Intrpt(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Safe_Mode_is_EN(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Cmd_Rejected(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Module_Not_Powered_On(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Cannot_Auton_Enter_Safe_Mode(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Sftw_UL_EN(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Sftw_UL_success(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Sftw_UL_CRC_Failed(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Aborted(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Sftw_UL_Img_Not_Pres(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_illegal_Neon_Calib_Time(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_En_Cooler_Door_Before_Releasing(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Invld_Cmd_Par(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_MQ_Rcv_Error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg1_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Sub_Patch_Temp_Thres_Monitor(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Patch_Temp_Thres_Monitor(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Sig_Proc_5V_OverVoltage_Thresh_Monitor(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_SwNotPettingWatchdog(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_SwTaskNotResponding(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_EEPROM_general_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_EEPROM_write_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Isr_Missing_8_Sec_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Isr_Early_8_Sec_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Isr_unexpected_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Isr_Invld_int(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Isr_Msg_Queue_Tx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Free_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Alloc_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_Neon_Lmp_Calib(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg2_EEPROM_being_Accessed(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Sig_Proc_5V_OverVoltage_Thresh_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Diag_Mode_Setting(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Sub_Patch_Temp_Thresh_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Patch_Temp_Thresh_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_PCE_HK_Tele_Valid(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Cmd_Rejected(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_PCI_Config_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Too_Much_Tele_Sent(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Too_Few_Tele_Sent(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Invld_Cmd_Par(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Invld_Mem_Bank(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_3_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Spare(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Threshold_Trip_(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Threshold_Trip_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Porchswing_Current_Monitoring_Control(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Porchswing_MPD_Monitoring_Control(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_SCC_write_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Succ(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Msg_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_OVR_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Wrong_Sz_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_IM_Cmd_Queue_OVR_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_4_SW_Upload_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_5_Spare(packet_idx) = fread(fid, 1, '*ubit6');
g_packets.instr_hk7.FswExErrStatReg_5_TaskIdForWatchdogFailure(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk7.FswExErrStatReg_5_Free_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_5_Malloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_5_IM_Cmd_Par_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_5_Cmd_Reject_Errr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_5_IM_Rpt_Err_in_Tele(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Spare(packet_idx) = fread(fid, 1, '*ubit3');
g_packets.instr_hk7.FswExErrStatReg_6_Msg_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_OVR_err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Parity_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Frame_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Wrong_Sz_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_EOF_Not_By_Scc_Reg_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Queue_OVR_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_SCC_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Trans_to_SSM_Failed(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg_6_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_SPare(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk7.FswExErrStatReg7_SW_Upload_Success(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_Cmd_Reject_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_SSM_Malloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_SSM_UL_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_SSM_Cmd_Par_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_Written_EEPROm_CRC_Badr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_LVDS_Missing_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_STX_Missing_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_ETX_Missing_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_Chksum_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg7_Reported_Err_in_Tele(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Spare(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Pckt_Dropped(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_Par_Len(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_APID_type(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_Len(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_CCSDS_Len(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_Seg_Pckt_Rcv(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_APID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_Chksum(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Invld_Cmd_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_Default_Case_Reached(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_MM_Free_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_MM_Alloc_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg8_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_PCI_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_UnSupp_Config(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Invld_Diag_Chan_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_No_Term_on_Tele_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Invld_Tele_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Invld_Coef_Tbl_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Bit_Trim_Tbl_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Impulse_Tbl_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Invld_Module_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Config_Data_Ptr_Null_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Rcv_Unknown_ID_Default_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_Trans_Unknown_ID_Default_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg9_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Taps_Q_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Taps_I_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Coef_Dat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_4_min(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Config_Dat_Err_8_sec(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Persistant_Tbl_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Setup_Data_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Invld_Num_Coef_Entries(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Filter_Offset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Run_Samples_Total_Samples(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Bit_Trim_Tbl_Start_Stop_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Coef_Mismatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_PCI_Retry_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_Sig_Proc_in_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg10_SSM_Scn_Pos_Missing_Err_Invld(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Wake_Up_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_DMA_Addr_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Mem_dmp_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_LRD_Num_FOVs_ERR(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Val_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_LRD_Mode_Sel_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_LRD_FOV_Repeat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Filt_Dec_Sample_Cnt_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_FOR_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_SEFI_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_PCI_Retry_Count_Too_Big_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_PCI_Config_Read_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Device_Not_Found(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Invalid_Param(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Taps_per_Int_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg11_Spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_PCI_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Unsupp_Config(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Invld_Diag_Chan_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_No_Term_on_Tele_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Invld_Tele_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Invld_Coef_Tbl_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Bit_Trim_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Impulse_Tbl_Index_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Invld_Module_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Config_Data_Ptr_Null_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Rcv_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_Trans_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg12_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Taps_Q_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Taps_I_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Coef_Dat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_4_min(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Config_Dat_Err_8_sec(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Persistant_Tbl_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Setup_Data_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Invld_Num_Coef_Entries(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Filter_Offset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Run_Samples_Total_Samples(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Bit_Trim_Tbl_Start_Stop_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Coef_Mismatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_PCI_Retry_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_Sig_Proc_in_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg13_SSM_Scn_Pos_Missing_Err_Invld(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Wake_Up_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_DMA_Addr_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Mem_dmp_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_LRD_Num_FOVs_ERR(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Val_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_LRD_Mode_Sel_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_LRD_FOV_Repeat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Filtrd_Dec_Sample_Cnt_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_FOR_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_SEFI_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_PCI_Retry_Count_Too_Big_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_PCI_Config_Read_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Device_Not_Found(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Invalid_Param(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Taps_per_Int_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg14_Spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_PCI_Init_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Unsupp_Config(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Invld_Diag_Chan_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Unsupp_Sci_Data_Len_Bit_Trim_Tbl_Dec_Rate_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_No_Term_on_Tele_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Invld_Tele_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Invld_Coef_Tbl_ID_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Bit_Trim_Indx_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Impulse_Tbl_Index_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Invld_Module_ID(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Config_Data_Ptr_Null_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Rcv_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_Trans_Unknown_ID_Deflt_Case(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_MQ_Rcv_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_MQ_Snd_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg15_OS_Func_Call_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Taps_Q_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Taps_I_Coef_MisMatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Coef_Dat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_4_min(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Config_Dat_Err_8_sec(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Persistant_Tbl_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Setup_Data_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Invld_Num_Coef_Entries(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Filter_Offset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Run_Samples_Total_Samples(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Bit_Trim_Tbl_Start_Stop_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Coef_Mismatch(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Mem_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_PCI_Retry_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_Sig_Proc_in_Rst(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg16_SSM_Scn_Pos_Missing_Err_Invld(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Wake_Up_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_DMA_Addr_Write_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Mem_dmp_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_LRD_Num_FOVs_ERR(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Val_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_LRD_Mode_Sel_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_LRD_FOV_Repeat_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Fltrd_Dec_Sample_Cnt_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_FOR_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_SEFI_Upset_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_PCI_Retry_Count_Too_Big_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_PCI_Config_Read_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Dev_Not_Found(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Invalid_Param(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Taps_per_Int_Err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FswExErrStatReg17_Spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg1_Bus_Identifier(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_underrun_count(packet_idx) = fread(fid, 1, '*ubit7');
g_packets.instr_hk7.FW_StatReg1_Fw_llc_fifo_overrun_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg2_Fw_llc_data_write_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg2_Fw_llc_data_read_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg3_Fw_desc_block_read_fail_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg3_Fw_1394_bus_reset_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg4_Fw_missing_ack_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg4_Fw_ohci_event_long_pkt_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg5_Fw_ohci_event_unknown_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg5_Fw_ohci_event_flushed_pkt_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg6_Fw_ack_busy_x_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg6_Fw_ack_data_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg7_Fw_ack_type_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg7_Fw_self_id_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg8_Fw_max_arb_state_timeout_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg8_Fw_phy_read_access_fail_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg9_Fw_num_err_ip_pkts_rx_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg9_Fw_ip_1394_rx_frag_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg10_Fw_num_error_ip_pkts_tx_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg10_Fw_ip_1394_tx_frag_error_count(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg11_fw_boot_EEPROM_image_executing(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_fw_thermal_control_enabled(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_fw_invalid_cmds_rcvd(packet_idx) = fread(fid, 1, '*ubit8');
g_packets.instr_hk7.FW_StatReg11_Fw_active_bus(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_Fw_tod_missed_A(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_Fw_tod_missed_B(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_Fw_tod_missed_AB(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_Fw_fault_log_full(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg11_Fw_fault_log_not_empty(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_tfioctl_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_invalid_tx_socket_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_dbuf_alloc_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_default_case_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_invalid_param_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_dbuf_create_named_pool_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_close_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_bind_fail(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_set_sock_opt_reuse_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_socket_fail(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_zero_copy_send_to_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_dbuf_set_data_ptr_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_dbuf_pool_invalid(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_dbuf_copy_data_from_buf_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_zero_copy_recv_from_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg12_Fw_select_fail(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Test_Packet(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Online_BIT(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Low_Rate_Data_Algorithm(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.FW_StatReg13_ZPD_Algorithm(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Auto_Neon_Calibration(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_AB_Cntr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_B_Cntr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_TOD_Loss_Bus_A_Cntr(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_invalid_rx_socket_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_os_func_call_err(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_set_sockopt_buf_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_ip_lla_reinit_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_invalid_bus(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_lla_getstats_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.FW_StatReg13_Fw_ip1394_getstats_error(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.Telem_command_success_count_MSW(packet_idx) = fread(fid, 1, '*ubit16');
g_packets.instr_hk7.Telem_command_success_count_LSW(packet_idx) = fread(fid, 1, '*ubit16');
g_packets.instr_hk7.IfmStatFlg_spare1(packet_idx) = fread(fid, 1, '*ubit5');
g_packets.instr_hk7.IfmStatFlg_Infererom_Mode_Stat(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.IfmStatFlg_spare2(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Dir(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_Porchswing_Sweep_Lck(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_Loss_PCE_Frame_Sync_Pulse_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_Porchswing_MPD_Switch_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_Porchswing_ZPD_Switch_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_DA_Servo_Status(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_DA_Y_servo_locked(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.IfmStatFlg_DA_X_servo_locked(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_CT_Over_Speed_Trip(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_Spare(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_Redundant_Drv_Relay_Fault(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_Loss_8_Sec_Sync_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_IT_Vel_Compen_Act_Idle(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_CT_Axis_Motor_Winding_Temp_Go_NoGo(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_IT_Axis_Motor_Winding_Temp_Go_NoGo(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_Primary_PW_Current_Monitor_Go_NoGo(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_SSm_Mode_Stat(packet_idx) = fread(fid, 1, '*ubit2');
g_packets.instr_hk7.SSMStatWrd_Motion_Compen_Active_Idle(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_CT_Motor_Drv_OvLoad_Trip(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_IT_Motor_Drv_OvLoad_Trip(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_Loss_200ms_Sync_Stat(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_Motor_Drives_on_off(packet_idx) = fread(fid, 1, '*ubit1');
g_packets.instr_hk7.SSMStatWrd_CT_Encoder_Stat(packet_idx) = fread(fid, 1, '*ubit1');

